import { OnInit } from '@angular/core';
import { Router } from "@angular/router";
import { ReqHttpService } from "../../services/req-http.service";
import { SharedService } from "../../models/sharedService";
export declare class BookmarkComponent implements OnInit {
    private router;
    private _reqService;
    private _sharedService;
    isBookmarked: boolean;
    constructor(router: Router, _reqService: ReqHttpService, _sharedService: SharedService);
    app: string;
    versao: string;
    getUrlByHash(hash?: string): string;
    checkActualRouteIsBookmarked(hash?: string): void;
    verificaRotaFavoritaLocalStorage(actualRoute: any): void;
    onClick($event: any): void;
    addBookmark(hash?: string): void;
    removeBookmark(hash?: string): void;
    validacao(actualRoute: any): boolean;
    updateLocalStorage(route: string, remove: boolean): void;
    ngOnInit(): void;
}
