"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var CheckboxComponent = (function (_super) {
    __extends(CheckboxComponent, _super);
    function CheckboxComponent(_http, _translateService, _sharedService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._http = _http;
        _this._translateService = _translateService;
        _this._sharedService = _sharedService;
        _this._indeterminate = false;
        _this._checked = false;
        _this._checkedPassed = false;
        _this.randomClass = 0;
        _this.inputValid = true;
        sbmCheckComponent.push(_this);
        return _this;
    }
    Object.defineProperty(CheckboxComponent.prototype, "indeterminate", {
        get: function () {
            return this._indeterminate;
        },
        set: function (val) {
            this._indeterminate = this.notnull == true ? false : val;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CheckboxComponent.prototype, "checked", {
        get: function () {
            return this._checked;
        },
        set: function (val) {
            this._checkedPassed = true;
            this._checked = (val.toString() == 'true');
        },
        enumerable: true,
        configurable: true
    });
    CheckboxComponent.prototype.ngOnInit = function () {
        this.randomClass = Math.floor((Math.random() * 1000) + 1);
        _super.prototype.validar.call(this, this.securityId);
        this.css += ' sbm-checkbox';
        this.classCss += ' ' + this.css;
    };
    CheckboxComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        $(document).ready(function () {
            setTimeout(function () {
                // Não mexer daqui...
                _this.value = _this.checked;
                if (_this.indeterminate) {
                    if (_this.component2.untouched) {
                        if (!_this._checkedPassed) {
                            _this.value = null;
                        }
                        else {
                            _this.value = _this.checked;
                            _this._indeterminate = false;
                        }
                    }
                }
                if (_this.notnull) {
                    _this._indeterminate = false;
                    _this.value = _this.checked;
                }
                // Até aqui. Não tente entender!
                // Avisa que o item está clicado
                _this._onClick.emit(_this.value);
                if (_this.onClick != '') {
                    window[_this.onClick](_this.value);
                }
            });
        });
    };
    CheckboxComponent.prototype.itemClicado = function () {
        this._onClick.emit(!this.value);
        if (this.onClick != '') {
            window[this.onClick](!this.value);
        }
    };
    CheckboxComponent.prototype.itemModificado = function () {
        this._onChange.emit(this.value);
    };
    return CheckboxComponent;
}(abstract_ngmodel_1.AbstractNgModel));
CheckboxComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-checkbox',
                template: require('./checkbox.component.html'),
                host: {
                    '[class]': 'classCss'
                },
                providers: [
                    abstract_ngmodel_1.MakeProvider(CheckboxComponent),
                    { provide: abstract_ngmodel_1.AbstractNgModel, useExisting: core_1.forwardRef(function () { return CheckboxComponent; }) }
                ]
            },] },
];
/** @nocollapse */
CheckboxComponent.ctorParameters = function () { return [
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
    { type: sharedService_1.SharedService, },
]; };
CheckboxComponent.propDecorators = {
    'input': [{ type: core_1.ViewChild, args: ['checkbox',] },],
    'component2': [{ type: core_1.ViewChild, args: ['component2',] },],
    'indeterminate': [{ type: core_1.Input },],
    'checked': [{ type: core_1.Input },],
};
exports.CheckboxComponent = CheckboxComponent;
