import { EventEmitter, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { SharedService } from "../../models/sharedService";
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
export declare class DropComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _sharedService;
    private _translateService;
    _http: Http;
    constructor(_sharedService: SharedService, _translateService: TranslateService, _http: Http);
    _droppedItems: any;
    droppedItems: any;
    items: any;
    instanceDrag: any[];
    value: any;
    filterList: any;
    callDrop: EventEmitter<{}>;
    callBackRemove: EventEmitter<{}>;
    isDropped: boolean;
    emptyMessage: string;
    keepItems: boolean;
    _design: string;
    design: string;
    itemSrc: string;
    itemLink: string;
    itemIcon: string;
    itemTitle: string;
    itemTextButton: string;
    itemButtonHidden: boolean;
    itemButtonHidden2: boolean;
    itemButtonDisabled: boolean;
    itemButtonDisabled2: boolean;
    iconItems: string;
    iconItems2: string;
    itemDisabled: boolean;
    itemDesc: string;
    itemKey: string;
    dropScope: string[];
    dropEnabled: boolean;
    labelInstalled: string;
    elementDrop: any;
    onDropItem: EventEmitter<{}>;
    onDragItem: EventEmitter<{}>;
    onButtonSelect: EventEmitter<{}>;
    onButtonSelectTwo: EventEmitter<{}>;
    buttonItemSelect(item: any): void;
    buttonItemSelect2(item: any): void;
    removeIndexes(array: any): any[];
    dragEndStart(e: any, instanceDrag: any): void;
    dragEnd(e: any, instanceDrag: any): void;
    onItemDrop(e: any): void;
    removeItem($item: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
