import { EventEmitter, OnInit, QueryList, TemplateRef, SimpleChanges } from "@angular/core";
import { IComponentDefault } from "../../interfaces/IComponentDefault";
import { AbstractNgModel } from "../../models/abstract.ngmodel";
import { ReqHttpService } from "../../services/req-http.service";
import { SbmGridColumn } from "../grid/grid.component";
import { SbmMasterDetailForm } from "../master-detail-form/master-detail-form.component";
import { TranslateService } from "@ngx-translate/core";
import { SharedService } from "../../models/sharedService";
import { Http } from '@angular/http';
import { MatDialog, MatDialogRef } from "@angular/material";
export declare class MasterDetailComponent extends AbstractNgModel implements OnInit, IComponentDefault {
    private _reqHttpService;
    private _sharedService;
    _http: Http;
    private _translateService;
    dialog: MatDialog;
    constructor(_reqHttpService: ReqHttpService, _sharedService: SharedService, _http: Http, _translateService: TranslateService, dialog: MatDialog);
    masterDetailItem: SbmMasterDetailForm;
    masterDetailTemplate: TemplateRef<SbmMasterDetailForm>;
    dataColumns: QueryList<SbmGridColumn>;
    sbmMasterDetailForm: QueryList<SbmMasterDetailForm>;
    sbmMasterDetailFormView: any;
    form: any;
    id: string;
    securityId: string;
    height: any;
    showlabel: any;
    textAlign: any;
    gridMasterDetail: boolean;
    formMasterDetail: boolean;
    update: any;
    attribute: string;
    saveServer: boolean;
    urlAction: string;
    entity: string;
    dataSource: any[];
    notnull: boolean;
    _columns: any;
    columns: any;
    inputValid: boolean;
    msgError: string;
    randomClass: number;
    loadedReq: EventEmitter<{}>;
    _valueVerified: boolean;
    generatedEntity: any;
    valueEntity: any;
    value: any;
    newFormMasterDetail: EventEmitter<{}>;
    validationsMsg: any;
    newMasterDetail($data: any): void;
    editMasterDetail($data: any): void;
    removeMasterDetail($data: any): void;
    itemEdit($class: any, $data: any): void;
    validInput(): void;
    itemRemove($data: any): void;
    addDinamicparameter: any;
    formVisible: boolean;
    formTemplate: TemplateRef<SbmMasterDetailForm>;
    itemNew($class: MasterDetailComponent): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(change: SimpleChanges): void;
}
export declare class DialogMasterDetail {
    dialog: MatDialogRef<DialogMasterDetail>;
    data: any;
    constructor(dialog: MatDialogRef<DialogMasterDetail>, data: any);
    onNoClick(): void;
}
