import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { ReqHttpService } from '../../services/req-http.service';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from "../../models/sharedService";
import { Http } from '@angular/http';
import { Subscription } from 'rxjs';
import { NgModel } from '@angular/forms';
export declare class SelectComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _req;
    private _el;
    private _sharedService;
    _http: Http;
    private _translateService;
    constructor(_req: ReqHttpService, _el: ElementRef, _sharedService: SharedService, _http: Http, _translateService: TranslateService);
    input: ElementRef;
    component2: NgModel;
    actionButton: boolean;
    urlButton: string;
    onclickclear: string;
    _queryParam: string;
    queryParam: any;
    _onClickClear: EventEmitter<{}>;
    private __dataSource;
    dataSource: any;
    devolveItemEval(colA: any, rec: any, pos?: number): any;
    static _onActionButtons: EventEmitter<{}>;
    private errorService;
    isNotMasterDetail: boolean;
    _resSucess: EventEmitter<{}>;
    _dataSource: any;
    inputValid: boolean;
    msgError: string;
    value: any;
    reqSucess: boolean;
    randomNumber: any;
    itemSelecionado: any;
    randomDrop: any;
    searchValue: any;
    valueDisplay: any;
    currentItem: any;
    errorServiceComp: boolean;
    valueSubscribe: Subscription;
    validationsMsg: any;
    msgLoadingOrNullData: string;
    setDataSource: any;
    setValue: any;
    onKeyUp(ev: KeyboardEvent): void;
    nextCount: number;
    changeElement(): void;
    reqService(): void;
    fecharSelectsAbertos(): void;
    openDrop($el?: any, icon?: boolean): void;
    closeDrop(): void;
    sendError(): void;
    actionButtonEmit(filter: string): void;
    itemClicado(itemAtual: any, $event?: any): void;
    ngOnInit(): void;
    onChangeValue: EventEmitter<{}>;
    ngAfterViewInit(): void;
    marcaItemComoSelecionado(ret: any): void;
    itemClicadoClear($event: any): void;
}
