import { OnInit, TemplateRef } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { TranslateService } from '@ngx-translate/core';
import { SharedService } from '../../models/sharedService';
import { Http } from '@angular/http';
export declare class TabComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _translateService;
    _http: Http;
    private _sharedService;
    constructor(_translateService: TranslateService, _http: Http, _sharedService: SharedService);
    align: string;
    icon: string;
    _btnClose: any;
    btnClose: any;
    internalColumnTemplate: TemplateRef<any>;
    tabContainer: any;
    test: any;
    idGerenarated: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
