"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var TabComponent = (function (_super) {
    __extends(TabComponent, _super);
    function TabComponent(_translateService, _http, _sharedService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._translateService = _translateService;
        _this._http = _http;
        _this._sharedService = _sharedService;
        _this.align = '';
        return _this;
    }
    Object.defineProperty(TabComponent.prototype, "btnClose", {
        get: function () {
            return this._btnClose;
        },
        set: function (val) {
            if (val == 'true') {
                this._btnClose = true;
            }
            else {
                this._btnClose = false;
            }
        },
        enumerable: true,
        configurable: true
    });
    TabComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
        this.idGerenarated = abstract_ngmodel_1.AbstractNgModel.makeId();
    };
    TabComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        jQuery(function () {
            if (_this.layout == 'vertical') {
                var nElement = _this.tabContainer.nativeElement;
                var copyChildren = $.extend(true, {}, nElement.children);
                nElement.innerHTML = '';
                for (var j = 0; j < copyChildren.length; j++) {
                    var linhaRow = document.createElement('div');
                    linhaRow.setAttribute('class', 'row');
                    linhaRow.appendChild(copyChildren[j]);
                    nElement.appendChild(linhaRow);
                }
            }
        });
    };
    return TabComponent;
}(abstract_ngmodel_1.AbstractNgModel));
TabComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-tab',
                template: require('./tab.component.html'),
                host: {
                    '[id]': "randomId",
                    '[hidden]': "!active"
                },
                styles: ["\n        .sbm-tab-container {\n            height: auto;\n            width: auto;\n        }\n    "]
            },] },
];
/** @nocollapse */
TabComponent.ctorParameters = function () { return [
    { type: core_2.TranslateService, },
    { type: http_1.Http, },
    { type: sharedService_1.SharedService, },
]; };
TabComponent.propDecorators = {
    'align': [{ type: core_1.Input },],
    'icon': [{ type: core_1.Input },],
    'btnClose': [{ type: core_1.Input, args: ['btnclose',] },],
    'internalColumnTemplate': [{ type: core_1.ViewChild, args: ['internalColumnTemplate',] },],
    'tabContainer': [{ type: core_1.ViewChild, args: ['tabContainer',] },],
    'test': [{ type: core_1.ViewChild, args: ['internalColumnTemplate', { read: core_1.ViewContainerRef },] },],
};
exports.TabComponent = TabComponent;
