"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var i18n_1 = require("../../models/i18n");
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var req_http_service_1 = require("../../services/req-http.service");
var router_1 = require("@angular/router");
var breadcrumb_crud_component_1 = require("../breadcrumb-crud/breadcrumb-crud.component");
var notification_component_1 = require("../notification/notification.component");
var select_component_1 = require("../select/select.component");
var alert_component_1 = require("../alert/alert.component");
var master_detail_component_1 = require("../master-detail/master-detail.component");
var input_text_component_1 = require("../input/input-text/input-text.component");
var input_telefone_component_1 = require("../input/input-telefone/input-telefone.component");
var input_password_component_1 = require("../input/input-password/input-password.component");
var input_number_component_1 = require("../input/input-number/input-number.component");
var input_mask_component_1 = require("../input/input-mask/input-mask.component");
var input_cep_component_1 = require("../input/input-cep/input-cep.component");
var input_cnpj_component_1 = require("../input/input-cnpj/input-cnpj.component");
var input_cpf_component_1 = require("../input/input-cpf/input-cpf.component");
var input_email_component_1 = require("../input/input-email/input-email.component");
var radio_component_1 = require("../radio/radio.component");
var list_view_component_1 = require("../list-view/list-view.component");
var datebox_component_1 = require("../datebox/datebox.component");
var upload_component_1 = require("../upload/upload.component");
var autocomplete_component_1 = require("../autocomplete/autocomplete.component");
var checkbox_component_1 = require("../checkbox/checkbox.component");
var money_component_1 = require("../input/money/money.component");
var textarea_component_1 = require("../input/textarea/textarea.component");
var multiselect_component_1 = require("../multiselect/multiselect.component");
var data_source_1 = require("devextreme/ui/pivot_grid/data_source");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var funcoes_component_1 = require("../../models/funcoes.component");
var abstract_crud_1 = require("./abstract-crud/abstract-crud");
var sbm_http_client_service_1 = require("./../../services/sbm-http-client.service");
var material_1 = require("@angular/material");
var CrudActionButtonComponent = (function () {
    function CrudActionButtonComponent() {
    }
    return CrudActionButtonComponent;
}());
CrudActionButtonComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-crud-action-button',
                template: "\n        <ng-content></ng-content>\n    "
            },] },
];
/** @nocollapse */
CrudActionButtonComponent.ctorParameters = function () { return []; };
exports.CrudActionButtonComponent = CrudActionButtonComponent;
var CrudFormComponent = (function () {
    function CrudFormComponent() {
        this.elementRef = '';
        this.elementHidden = false;
    }
    CrudFormComponent.prototype.ngOnInit = function () {
        this.elementRef = "sbm-reference-" + Math.floor((Math.random() * 100000) + 1);
    };
    return CrudFormComponent;
}());
CrudFormComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-crud-form',
                template: "\n        <ng-content></ng-content>\n    ",
                host: {
                    '[attr.elementRef]': 'elementRef',
                    '[hidden]': 'elementHidden'
                }
            },] },
];
/** @nocollapse */
CrudFormComponent.ctorParameters = function () { return []; };
exports.CrudFormComponent = CrudFormComponent;
var CrudComponent = (function (_super) {
    __extends(CrudComponent, _super);
    function CrudComponent(_reqHttpService, _sharedService, _translateService, _http, _sbmHttpClient, _router, dialog, _activatedRoute, _el) {
        var _this = _super.call(this, _sbmHttpClient, dialog) || this;
        _this._reqHttpService = _reqHttpService;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this._http = _http;
        _this._sbmHttpClient = _sbmHttpClient;
        _this._router = _router;
        _this.dialog = dialog;
        _this._activatedRoute = _activatedRoute;
        _this._el = _el;
        _this._onSelectGrid = new core_1.EventEmitter();
        _this.id = '';
        _this.onSelectGrid = '';
        _this.onClickEdit = '';
        _this.onClickAdd = '';
        _this.beforeSend = '';
        _this.onClickEditAfterRequest = '';
        _this.entity = '';
        _this.dynamic = '';
        _this.entityEdit = '';
        _this.urlBase = 'http://10.10.10.115:8081';
        _this.pathFilter = '/sabium/api/filtro/tabela/';
        _this.table = '';
        _this.masterDetail = false;
        _this.perspective = true;
        _this._bpmn = false;
        _this.selectItems = new core_1.EventEmitter();
        _this.clickedNew = new core_1.EventEmitter();
        _this.clickedEdit = new core_1.EventEmitter();
        _this.clickedCancel = new core_1.EventEmitter();
        _this.onModels = new core_1.EventEmitter();
        _this.clickedEditAfterRequest = new core_1.EventEmitter();
        _this.crudEvents = new core_1.EventEmitter();
        _this._layout = 'horizontal';
        _this._layoutDinamic = {
            'linhasTabelaDinamica': [],
            'colunasTabelaDinamica': [],
            'filtrosTabelaDinamica': [],
            'funcoesTabelaDinamica': []
        };
        _this.selectItem = [];
        _this.setGrid = [];
        _this.colunas = [];
        _this.showHideColumnValue = [];
        _this.crudLayoutGrid = [];
        _this.crudFormAtive = false;
        _this.addFormControl = true;
        _this.formControlHidden = true;
        _this.saveButton = false;
        _this.buttonDisable = true;
        _this.executedParameters = false;
        _this.noErrosForm = true;
        _this.servicePending = false; // desabilita os botões que fazem requisições assíncronas enquanto elas não terminam
        _this.bc = {
            name: 'Novo',
            url: '/novo',
            localStogare: 'BreadCrumbs/' + window.location.href
        };
        _this.notification = new notification_component_1.NotificationComponent();
        _this.update = { update: false };
        _this.countRegister = 0;
        _this.pageCurrent = 1;
        _this.valuePerspective = false;
        _this.pivotGrid = new data_source_1.default({
            fields: [],
            store: _this.setGrid
        });
        _this.showPivotConf = false;
        _this.searchPanelColumn = false;
        _this.buttonsActions = {
            buttonAdd: {
                disabled: false
            },
            buttonEdit: {
                disabled: true,
                setDisabled: false,
                hidden: false
            },
            buttonRemove: {
                disabled: true,
                setDisabled: false,
                hidden: false
            },
            buttonSaveSearch: {
                disabled: true
            },
            buttonSaveSearchAll: {
                disabled: true
            },
            buttonRemoveSearch: {
                disabled: true
            },
            buttonSearchRow: {
                disabled: true
            },
            buttonHideShowColumns: {
                disabled: true
            },
            buttonExport: {
                disabled: true
            },
            buttonAudit: {
                disabled: true
            },
            buttonOpenCloseFilter: {
                disabled: false,
                icon: 'keyboard_arrow_left'
            },
            buttonNextPage: {
                disabled: true,
                icon: '&#xE314'
            },
            buttonGetAll: {
                disabled: true,
                icon: '&#xE314'
            },
            buttonSave: {
                disabled: false,
                icon: '&#xE314',
                text: 'Salvar'
            }
        };
        _this.operationDescriptions = {
            between: 'Entre',
            contains: 'Contém',
            endsWiht: 'Terminar Com',
            equals: 'Igual',
            greaterThan: 'Maior que',
            greaterThanOrEqual: 'Maior ou igual a',
            lessThan: 'Menor que',
            lessThanOrEqual: 'Menor ou igual a',
            notContains: 'Não contém',
            notEqual: 'Diferente',
            startWith: 'começar com'
        };
        SbmCrudComponent.push(_this);
        _this.iBreadcrumbActive = _this._activatedRoute.routeConfig != null ? _this._activatedRoute.routeConfig.path : '';
        _this.traducao = new i18n_1.i18n(_translateService, _sharedService);
        _this.traducao.projectName = 'sabium-framework';
        _this.traducao.iniciarIdioma();
        _this.translateService = _translateService;
        // força o elemento ter um id
        if (_this._el.nativeElement.id.length == 0) {
            _this.id = abstract_ngmodel_1.AbstractNgModel.makeId();
            _this._el.nativeElement.id = _this.id;
        }
        return _this;
    }
    Object.defineProperty(CrudComponent.prototype, "disablebuttonadd", {
        set: function (value) {
            this.buttonsActions.buttonAdd.disabled = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "disablebuttonedit", {
        set: function (value) {
            this.buttonsActions.buttonEdit.setDisabled = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "disablebuttonremove", {
        set: function (value) {
            this.buttonsActions.buttonRemove.setDisabled = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "hidebuttonremove", {
        set: function (value) {
            this.buttonsActions.buttonRemove.hidden = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "bpmn", {
        set: function (value) {
            if (value) {
                this.formControlHidden = false;
                this.crudFormAtive = true;
            }
            this._bpmn = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "bpmnId", {
        set: function (value) {
            var _this = this;
            if (value) {
                this.formControlHidden = false;
                this.crudFormAtive = true;
                this.update = {
                    update: true,
                    id: value
                };
                var urlRest = '/sabium/api/' + ((this.dynamic) ? 'entidade/' : '') + this.entity + '/' + value;
                this._reqHttpService.xhrGet(urlRest).subscribe(function (ret) {
                    var me = _this;
                    $(_this._crudFrom.nativeElement).find('.crud-form-dynamic').each(function (i, e) {
                        var attrsField = {
                            attribute: $(this).attr('attribute'),
                            tag: $(this).prop('tagName'),
                            value: ret.res[$(this).attr('attribute')]
                        };
                        me.crudSetValue(attrsField.attribute, attrsField.value);
                    });
                });
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "layout", {
        get: function () {
            return this._layout;
        },
        set: function (value) {
            this._layout = value;
            if (value == 'vertical') {
                var nElement = this._crudFrom.nativeElement.children[0];
                var copyChildren = $.extend(true, {}, nElement.children);
                nElement.innerHTML = '';
                for (var j = 0; j < copyChildren.length; j++) {
                    var linhaRow = document.createElement('div');
                    linhaRow.setAttribute('class', 'row');
                    linhaRow.appendChild(copyChildren[j]);
                    nElement.appendChild(linhaRow);
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CrudComponent.prototype, "models", {
        get: function () {
            return this.modelsForm;
        },
        set: function (val) {
            this.modelsForm = val;
        },
        enumerable: true,
        configurable: true
    });
    CrudComponent.prototype.clickNew = function () {
        var _this = this;
        this.clickedNew.emit();
        if (this.onClickAdd != '') {
            window[this.onClickAdd]();
        }
        this.bc.name = 'Novo';
        this.formControlHidden = false;
        this.crudFormAtive = true;
        this._sharedService.setLocalStorage(_projectLocalStorage, this.bc['localStogare'] + '-' + this.entity, 'true', false);
        this.breadcrumbCrud.breadcrumbs.push({
            name: "Novo",
            localStogare: this.id,
            url: this.entity
        });
        this.update.update = false;
        if (this.abstractComp.first) {
            setTimeout(function () {
                $(_this.abstractComp.first['input']['nativeElement']).focus();
            }, 500);
        }
    };
    CrudComponent.prototype.verificaSeTemPropriedadeObjectNosComponentesEdicao = function (data) {
        var _this = this;
        var ret = {};
        if (this.abstractComp && this.abstractComp.length > 0) {
            this.abstractComp.forEach(function (item, index) {
                if (!(item instanceof upload_component_1.UploadComponent)) {
                    if (item['isNotMasterDetail']) {
                        if (item['object']) {
                            ret[item['attribute']] = data[item['object']][item['attribute']];
                            _this.update.versionConstrain = data[item['object']]['version'];
                            _this.update.idConstrain = data[item['object']]['id'];
                        }
                        else {
                            ret[item['attribute']] = data[item['attribute']];
                        }
                    }
                }
            });
        }
        if (this.masterDetailComp && this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach(function (item, index) {
                ret[item['attribute']] = data[item['attribute']];
            });
        }
        return ret;
    };
    CrudComponent.prototype.clickEdit = function ($data) {
        var _this = this;
        this.clickedEdit.emit($data);
        if (this.onClickEdit != '') {
            window[this.onClickEdit]($data);
        }
        var me = this;
        this.update = {
            update: true,
            id: $data.selectedRowsData[0]['id'],
            version: null,
            versionConstrain: null,
            idConstrain: null
        };
        if ($data.selectedRowsData.length == 1) {
            var url = '';
            if (_projectName == 'sabium-gerenciador' || _projectName == 'sabium-framework') {
                url = '/sabium';
            }
            else {
                url = '/' + _projectCodigo;
            }
            var urlRest = url + '/api/' + ((this.dynamic) ? 'entidade/' : '') + ((this.entityEdit == '') ? this.entity : this.entityEdit) + '/' + $data.selectedRowsData[0]['id'];
            this._reqHttpService.xhrGet(urlRest).subscribe(function (ret) {
                _this.clickedEditAfterRequest.emit(ret);
                if (_this.onClickEditAfterRequest != '') {
                    window[_this.onClickEditAfterRequest](ret);
                }
                _this.update.version = ret.res.version;
                var result = _this.verificaSeTemPropriedadeObjectNosComponentesEdicao(ret.res);
                $(_this._crudFrom.nativeElement).find('.crud-form-dynamic').each(function (i, e) {
                    var attrsField = {
                        attribute: $(this).attr('attribute'),
                        tag: $(this).prop('tagName'),
                        value: result[$(this).attr('attribute')]
                    };
                    me.crudSetValue(attrsField.attribute, attrsField.value);
                });
            });
        }
        this.bc.name = 'Editar';
        this.formControlHidden = false;
        this.crudFormAtive = true;
    };
    CrudComponent.prototype.clickDelete = function ($data) {
        var _this = this;
        var _alert = new alert_component_1.AlertComponent();
        var _notification = new notification_component_1.NotificationComponent();
        _alert.show('Remover', 'Sim', 'Deseja realmente excluir este registro?', 'warning', true, 'Não').then(function (ret) {
            if (ret) {
                var urlRest = '/' + _projectCodigo + '/api/' + ((_this.dynamic) ? 'entidade/' : '') + _this.entity + '/' + $data.selectedRowsData[0]['id'];
                _this._reqHttpService.xhrDelete(urlRest).subscribe(function (ret) {
                    if ((ret.res.hasOwnProperty('sucesso') && ret.res.sucesso)
                        || (ret.res.hasOwnProperty('success') && ret.res.success)) {
                        _notification.show('Sucesso ao remover o registro!', 2000); // ${$data.selectedRowsData[0]['id']}
                        _this.executarFiltro(_this.retornoParametros);
                    }
                }, function (err) {
                    var alert = new alert_component_1.AlertComponent();
                    if (err.res.status == 500) {
                        var response = JSON.parse(err.res.response);
                        if (response.message) {
                            alert.show('Erro ao realizar esta operação', 'Ok', response.message, 'error');
                        }
                        else {
                            alert.show('Erro ao realizar esta operação', 'Ok', err.res.statusText, 'error');
                        }
                    }
                    else if (err.res.status == 400) {
                        var response = JSON.parse(err.res.response);
                        var msg_1 = '';
                        if (response.violations) {
                            if (response.violations.length > 0) {
                                response.violations.map(function (ret) {
                                    msg_1 += ret.argument + ' Inválido\n';
                                });
                            }
                        }
                        alert.show('Dados inválidos', 'Ok', msg_1, 'error');
                    }
                    else if (err.res.status == 403) {
                        alert.show('Sessão Expirada. Refaça o login', 'Ok', err.res.reponse, 'error');
                    }
                    else {
                        alert.show('Erro Desconhecido, Contate o suporte', 'Ok', err.res.reponse, 'error');
                    }
                });
            }
        });
    };
    CrudComponent.prototype.cancel = function () {
        var _this = this;
        this.formControlHidden = true;
        this.clickedCancel.emit();
        CrudComponent.resetarUploadFile.emit();
        this.crudFormAtive = false;
        this.buttonsActions.buttonSave.text = 'Salvar';
        var valor = this._sharedService.getLocalStorage(_projectLocalStorage, this.bc['localStogare'] + '-' + this.entity, false);
        if (valor) {
            // me._activatedRoute.data['value']['breadcrumbCrud'].pop();
            localStorage.removeItem(_projectLocalStorage + this.bc['localStogare'] + '-' + this.entity);
        }
        var clearForm = Object.keys(this.loadModels());
        clearForm.map(function (a) {
            _this.crudSetValue(a, '');
        });
        this.resetModels();
        localStorage.removeItem(_projectLocalStorage + 'CRUD/' + window.location.href + '-' + this.entity);
        // $(this._buttonNext.nativeElement).show();
        // $(this._inputPerspec.nativeElement).removeAttr('disabled');
        this.executedParameters = false;
        $('#sbm-grid-result').removeClass('l11').addClass('l7');
        if (this._activatedRoute['routeConfig']) {
            if (this._activatedRoute.routeConfig['data']) {
                if (this._activatedRoute.routeConfig.data['urlAfter'] && !(this._activatedRoute.routeConfig.data['filter'])) {
                    this._router.navigateByUrl(this._activatedRoute.routeConfig.data['urlAfter']);
                }
            }
        }
        this.servicePending = false;
    };
    CrudComponent.prototype.childrenCrud = function (data) {
        var _this = this;
        var _ischildrenCrud = false;
        if (this._activatedRoute['routeConfig']) {
            if (this._activatedRoute.routeConfig.data !== undefined) {
                if (this._activatedRoute.routeConfig.data['isChildrenCrud'] !== undefined) {
                    _ischildrenCrud = true;
                }
            }
        }
        if (_ischildrenCrud) {
            if (this._activatedRoute['routeConfig']) {
                if (this._activatedRoute.routeConfig['data']) {
                    this._router.config.map(function (a, i) {
                        if (_this._activatedRoute.routeConfig.data['urlAfter'] == '/' + a.path) {
                            a.data['returnData'] = {
                                'data': data[0]
                            };
                            a.data['returnData']['id'] = _this._activatedRoute.routeConfig.data['id'];
                            if (_this._activatedRoute.routeConfig.data['masterDetailNew']) {
                                a.data['masterDetailNew'] = true;
                            }
                            if (_this._activatedRoute.routeConfig.data['masterDetailEdit']) {
                                a.data['masterDetailEdit'] = true;
                            }
                            if (_this._activatedRoute.routeConfig.data['rowIndex'] !== undefined) {
                                a.data['returnData']['rowIndex'] = _this._activatedRoute.routeConfig.data['rowIndex'];
                            }
                        }
                    });
                }
            }
        }
    };
    CrudComponent.prototype.verificaSeTemPropriedadeObjectNosComponentes = function (data) {
        var _this = this;
        var ret = {
            custom: {}
        };
        if (this.abstractComp && this.abstractComp.length > 0) {
            this.abstractComp.forEach(function (item, index) {
                if (!(item instanceof upload_component_1.UploadComponent)) {
                    if (item['isNotMasterDetail']) {
                        if (item['object']) {
                            ret[item['object']] = {};
                            ret[item['object']][item['attribute']] = data[item['attribute']];
                            if (_this.update.update) {
                                if (_this.update.versionConstrain && _this.update.idConstrain) {
                                    ret[item['object']]['id'] = _this.update.idConstrain;
                                    ret[item['object']]['version'] = _this.update.versionConstrain;
                                }
                            }
                        }
                        else {
                            ret[item['attribute']] = data[item['attribute']];
                        }
                        if (item.custom) {
                            ret['custom'][item.attribute] = data[item['attribute']];
                            delete ret[item['attribute']];
                        }
                    }
                }
                else {
                    ret[item['attribute']] = data[item['attribute']];
                }
            });
        }
        if (this.masterDetailComp && this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach(function (item, index) {
                ret[item['attribute']] = data[item['attribute']];
            });
        }
        if (Object.keys(ret['custom']).length == 0) {
            delete ret['custom'];
        }
        return ret;
    };
    CrudComponent.prototype.sendFormValid = function ($data, saveAndContinue, saveServer) {
        var _this = this;
        var data;
        if (this.beforeSend == '') {
            data = this.verificaSeTemPropriedadeObjectNosComponentes($data.value);
        }
        else {
            data = $data;
        }
        if (saveAndContinue) {
            if (this.update.update) {
                data['id'] = this.update.id;
                data['version'] = this.update.version;
            }
            var _notification_1 = new notification_component_1.NotificationComponent();
            var _data = [];
            _data.push(data);
            this.servicePending = true;
            this.buttonsActions.buttonSave.text = 'Salvando...';
            var aux_1 = 0;
            var cancelInterval_1 = setInterval(function () {
                aux_1 = aux_1 + 1;
                if (aux_1 > 14) {
                    if (Notification.permission !== 'denied') {
                        new Notification('Aguarde...', {
                            body: 'Aguarde um momento, enviando as informações para serem salvas no servidor de banco de dados...',
                        });
                    }
                    else {
                        _notification_1.show("Aguarde um momento, enviando as informa\u00E7\u00F5es para serem salvas no servidor de banco de dados..", 2000);
                    }
                    clearInterval(cancelInterval_1);
                }
            }, 1000);
            var urlRest = '/' + _projectCodigo + '/api/' + ((this.dynamic) ? 'entidade/' : '') + this.entity;
            this._reqHttpService.xhrPost(urlRest, _data).subscribe(function (ret) {
                clearInterval(cancelInterval_1);
                var msg = 'Sucesso ao salvar registro!';
                if (_this.entity == 'aplicacao' || _this.entity == 'aplicacao/upload') {
                    msg = 'O upload da aplicação é executado em segundo plano. Ao término serão enviadas notificações.';
                }
                if (aux_1 > 14) {
                    if (Notification.permission !== 'denied') {
                        new Notification(msg);
                    }
                    else {
                        console.log('This browser does not support desktop notification');
                        _notification_1.show(msg, 2000);
                    }
                }
                else {
                    _notification_1.show(msg, 2000);
                }
                _this.childrenCrud(ret.res);
                if (_this.beforeSend == '') {
                    $data.reset();
                }
                localStorage.removeItem(_projectLocalStorage + 'CRUD/' + window.location.href + '-' + _this.entity);
                _this.reloadModel();
                _this.resetModels();
                CrudComponent.resetarUploadFile.emit();
                // this.cancel();
                /*if (this.sbmFilter.selectedFilter) {
                    this.executarFiltro(this.retornoParametros);
                }*/
                _this.buttonsActions.buttonSave.text = 'Salvar';
                _this.servicePending = false;
            }, function (err) {
                clearInterval(cancelInterval_1);
                var alert = new alert_component_1.AlertComponent();
                if (err.res.status == 500) {
                    var response = JSON.parse(err.res.response);
                    if (response.message) {
                        alert.show('Erro ao realizar esta operação', 'Ok', response.message, 'error');
                    }
                    else {
                        alert.show('Erro Ao Salvar', 'Ok', err.res.statusText, 'error');
                    }
                }
                else if (err.res.status == 400) {
                    var response = JSON.parse(err.res.response);
                    if (response.violations && response.violations.length > 0) {
                        var msg_2 = '';
                        response.violations.map(function (itemRes) {
                            _this.abstractComp.forEach(function (component) {
                                if (component.attribute === itemRes.argument) {
                                    msg_2 += component._label + ': ';
                                }
                            });
                            msg_2 += itemRes.message + '<br>';
                        });
                        alert.showHtml('Erro ao realizar esta operação', 'Ok', msg_2, 'error');
                    }
                    else if (response.message) {
                        alert.show('Erro ao realizar esta operação', 'Ok', response.message, 'error');
                    }
                }
                else if (err.res.status == 403) {
                    alert.show('Sessão Expirada. Refaça o login', 'Ok', err.res.reponse, 'error');
                }
                else {
                    alert.show('Erro Desconhecido, Contate o suporte', 'Ok', err.res.reponse, 'error');
                }
                _this.buttonsActions.buttonSave.text = 'Salvar';
                _this.servicePending = false;
            });
        }
        else {
            if (this.update.update) {
                data['id'] = this.update.id;
                data['version'] = this.update.version;
            }
            var _notification_2 = new notification_component_1.NotificationComponent();
            var _data = [];
            _data.push(data);
            this.servicePending = true;
            this.buttonsActions.buttonSave.text = 'Salvando...';
            var aux_2 = 0;
            var cancelInterval_2 = setInterval(function () {
                aux_2 = aux_2 + 1;
                if (aux_2 > 14) {
                    if (Notification.permission !== 'denied') {
                        new Notification('Aguarde...', {
                            body: 'Aguarde um momento, enviando as informações para serem salvas no servidor de banco de dados...',
                        });
                    }
                    else {
                        console.log('This browser does not support desktop notification');
                        _notification_2.show("Aguarde um momento, enviando as informa\u00E7\u00F5es para serem salvas no servidor de banco de dados..", 2000);
                    }
                    clearInterval(cancelInterval_2);
                }
            }, 1000);
            var urlRest = '/' + _projectCodigo + '/api/' + ((this.dynamic) ? 'entidade/' : '') + this.entity;
            this._reqHttpService.xhrPost(urlRest, _data).subscribe(function (ret) {
                clearInterval(cancelInterval_2);
                var msg = 'Sucesso ao salvar registro!';
                if (_this.entity == 'aplicacao' || _this.entity == 'aplicacao/upload') {
                    msg = 'O upload da aplicação é executado em segundo plano. Ao término serão enviadas notificações.';
                }
                if (aux_2 > 14) {
                    if (Notification.permission !== 'denied') {
                        new Notification(msg);
                    }
                    else {
                        console.log('This browser does not support desktop notification');
                        _notification_2.show(msg, 2000);
                    }
                }
                else {
                    _notification_2.show(msg, 2000);
                }
                _this.childrenCrud(ret.res);
                if (_this.beforeSend == '') {
                    $data.reset();
                }
                _this.reloadModel();
                if (_this.sbmFilter.selectedFilter && _this.retornoParametros) {
                    _this.executarFiltro(_this.retornoParametros);
                }
                if (_this._activatedRoute['routeConfig'] && _this._activatedRoute.routeConfig.data !== undefined && _this._activatedRoute.routeConfig.data['urlAfter']) {
                    _this._router.navigateByUrl(_this._activatedRoute.routeConfig.data['urlAfter']);
                }
                localStorage.removeItem(_projectLocalStorage + 'CRUD/' + window.location.href + '-' + _this.entity);
                _this.cancel();
            }, function (err) {
                clearInterval(cancelInterval_2);
                var alert = new alert_component_1.AlertComponent();
                if (err.res.response) {
                    var response = JSON.parse(err.res.response);
                    if (response.violations && response.violations.length > 0) {
                        var msg_3 = '';
                        response.violations.map(function (itemRes) {
                            _this.abstractComp.forEach(function (component) {
                                if (component.attribute === itemRes.argument) {
                                    msg_3 += component._label + ': ';
                                }
                            });
                            msg_3 += itemRes.message + '<br>';
                        });
                        alert.showHtml('Erro ao realizar esta operação', 'Ok', msg_3, 'error');
                    }
                    else if (response.message) {
                        alert.show('Erro ao realizar esta operação', 'Ok', response.message, 'error');
                    }
                }
                else {
                    alert.show('Erro ao realizar esta operação', 'Ok', '', 'error');
                }
                _this.buttonsActions.buttonSave.text = 'Salvar';
                _this.servicePending = false;
            });
        }
    };
    CrudComponent.prototype.setFormControl = function ($object, item) {
        var attrsField = {
            id: item.id,
            require: item.notnull,
            attribute: item.attribute,
            minLength: item.minLength || false,
            maxLength: item.maxLength || false,
            pattern: item.pattern || false,
            value: item.value
        };
        var validator = [];
        if (attrsField.require) {
            validator.push(forms_1.Validators.required);
        }
        if (attrsField.minLength) {
            validator.push(forms_1.Validators.minLength(parseInt(attrsField.minLength)));
        }
        if (attrsField.maxLength) {
            validator.push(forms_1.Validators.maxLength(parseInt(attrsField.maxLength)));
        }
        if (attrsField.pattern) {
            validator.push(forms_1.Validators.pattern(attrsField.pattern));
        }
        $object.control.addControl(attrsField.attribute, new forms_1.FormControl(null, validator));
        $object.controls[attrsField.attribute].setValue(attrsField.value);
    };
    CrudComponent.prototype.addFormControls = function ($object, saveAndContinue) {
        var _this = this;
        // sobrescreve os dados de envio
        if (this.beforeSend != '') {
            $object = window[this.beforeSend]($object, saveAndContinue);
            if (typeof $object === 'object') {
                this.sendFormValid($object, saveAndContinue);
            }
            else {
                console.error('Retorne um objeto em "beforesend"');
            }
            return;
        }
        else {
            if (this.masterDetailComp.length > 0) {
                this.masterDetailComp.forEach(function (item, index) {
                    _this.setFormControl($object, item);
                });
            }
            if (this.abstractComp.length > 0) {
                this.abstractComp.forEach(function (item, index) {
                    if (item['isNotMasterDetail']) {
                        _this.setFormControl($object, item);
                    }
                });
            }
        }
        // rever pra que isso serve
        this.addFormControl = false;
        var _ischildrenCrud = false;
        if (this._activatedRoute['routeConfig']) {
            if (this._activatedRoute.routeConfig['data'] !== undefined) {
                if (this._activatedRoute.routeConfig['data']['isChildrenCrud']) {
                    _ischildrenCrud = true;
                }
            }
        }
        if (saveAndContinue) {
            if (_ischildrenCrud && this._activatedRoute.routeConfig['data']['saveServer']) {
                this.sendForm($object, saveAndContinue, true);
            }
            else {
                this.sendForm($object, saveAndContinue);
            }
        }
        else {
            if (_ischildrenCrud && this._activatedRoute.routeConfig['data']['saveServer']) {
                this.sendForm($object, false, true);
            }
            else {
                this.sendForm($object);
            }
        }
    };
    CrudComponent.prototype.sendForm = function ($data, saveAndContinue, saveServer) {
        var _this = this;
        var formvalid = this.validModels(null, null);
        if ($data.valid && formvalid) {
            this.noErrosForm = true;
            if (saveAndContinue) {
                this.sendFormValid($data, saveAndContinue);
            }
            else {
                this.sendFormValid($data);
            }
        }
        else {
            var alert_1 = new alert_component_1.AlertComponent();
            // this.noErrosForm = false;
            var objectKeys = [];
            if ($data.controls) {
                objectKeys = Object.keys($data.controls);
            }
            objectKeys.map(function (nomeCampo) {
                var errors = [];
                if ($data.controls[nomeCampo]._errors) {
                    errors = Object.keys($data.controls[nomeCampo]._errors);
                }
                errors.map(function (validationRule) {
                    _this.validModels(nomeCampo, validationRule);
                });
            });
            alert_1.show('O formulário possui inconsistências, favor verificar os campos em destaque.', 'Ok', '', 'warning');
        }
    };
    CrudComponent.prototype.selectFilter = function (event) {
        this.dataSource = event;
        this.url = event.url;
        CrudComponent.emitChangeFilter.emit(true);
    };
    CrudComponent.prototype.onContextMenuPreparing = function ($event) {
        var me = this;
        me.gridResultCrud.columns.forEach(function (item) {
        });
        if ($event.target == 'header') {
            $event.items.push({
                text: 'Esconder',
                onItemClick: (function (params) {
                    me.gridResultCrud.instance.columnOption($event.column.index, 'visible', false);
                    // me.gridResultCrud.instance.deleteColumn($event.columnIndex)
                    // me.gridResultCrud.instance.refresh();
                })
            });
            // $event.component.getTotalSummaryValue([$event.row.rowIndex], true) // this code will select a row
        }
        if ($event.target == 'content') {
            // $event.items = [];
            //
            // $event.items.push({text: "Teste"});
            // $event.component.selectRows([$event.row.data], true) // this code will select a row
        }
    };
    CrudComponent.prototype.changeGrid = function ($event) {
        var isGrouped = !!$event.component.columnOption('groupIndex:0');
        if (isGrouped) {
            this.buttonsActions.buttonNextPage.disabled = true;
            // this.getAll();
        }
        else {
            this.buttonsActions.buttonNextPage.disabled = false;
        }
    };
    CrudComponent.prototype.layoutDinamic = function () {
        var layoutDinamic = {
            'linhasTabelaDinamica': [],
            'colunasTabelaDinamica': [],
            'filtrosTabelaDinamica': [],
            'funcoesTabelaDinamica': [],
        };
        this.pivotGrid['_descriptions']['columns'].forEach(function (item) {
            layoutDinamic['colunasTabelaDinamica'].push(item['dataField']);
        });
        this.pivotGrid['_descriptions']['rows'].forEach(function (item) {
            layoutDinamic['linhasTabelaDinamica'].push(item['dataField']);
        });
        this.pivotGrid['_descriptions']['filters'].forEach(function (item) {
            layoutDinamic['filtrosTabelaDinamica'].push({
                coluna: item['dataField'],
                valores: item['filterValues']
            });
        });
        this.pivotGrid['_descriptions']['values'].forEach(function (item) {
            layoutDinamic['funcoesTabelaDinamica'].push({
                coluna: item['dataField'],
                funcao: 'CONTAGEM'
            });
        });
        this._layoutDinamic = layoutDinamic;
        return layoutDinamic;
    };
    CrudComponent.prototype.saveLayout = function (form, $event) {
        var _this = this;
        this.buttonsActions.buttonSaveSearch.disabled = true;
        var notification = new notification_component_1.NotificationComponent();
        var alert = new alert_component_1.AlertComponent();
        var layoutCurrent;
        if (this.layoutCurrent) {
            layoutCurrent = this.layoutCurrent;
            var layoutDinamic = this.layoutDinamic();
            this.layoutCurrent['linhasTabelaDinamica'] = layoutDinamic['linhasTabelaDinamica'];
            this.layoutCurrent['colunasTabelaDinamica'] = layoutDinamic['colunasTabelaDinamica'];
            this.layoutCurrent['filtrosTabelaDinamica'] = layoutDinamic['filtrosTabelaDinamica'];
            this.layoutCurrent['funcoesTabelaDinamica'] = layoutDinamic['funcoesTabelaDinamica'];
        }
        else {
            layoutCurrent = {
                'nome': null,
                'codigoFiltro': null,
                'colunasTabelaSimples': [],
                'linhasTabelaDinamica': [],
                'colunasTabelaDinamica': [],
                'filtrosTabelaDinamica': [],
                'funcoesTabelaDinamica': [],
                'parametrosExecucao': []
            };
            var layoutDinamic = this.layoutDinamic();
            layoutCurrent['linhasTabelaDinamica'] = layoutDinamic['linhasTabelaDinamica'];
            layoutCurrent['colunasTabelaDinamica'] = layoutDinamic['colunasTabelaDinamica'];
            layoutCurrent['filtrosTabelaDinamica'] = layoutDinamic['filtrosTabelaDinamica'];
            layoutCurrent['funcoesTabelaDinamica'] = layoutDinamic['funcoesTabelaDinamica'];
        }
        this.colunas.forEach(function (col) {
            var dataColumn = _this.gridResultCrud.instance.columnOption(col['formItem']['index']);
            var newItem = layoutCurrent.colunasTabelaSimples.filter(function (item) { return item['campo'] == col['dataField']; });
            if (newItem.length > 0) {
                newItem[0]['campo'] = col['dataField'];
                newItem[0]['visivel'] = dataColumn['visible'];
                newItem[0]['largura'] = dataColumn['width'];
            }
            else {
                var newColumns = {};
                newColumns['campo'] = col['dataField'];
                newColumns['visivel'] = dataColumn['visible'];
                newColumns['largura'] = dataColumn['width'];
                layoutCurrent['colunasTabelaSimples'].push(newColumns);
            }
        });
        var parametersExecution = {
            'chave': null,
            'valores': []
        };
        this.retornoParametros['parametros'].map(function (item) {
            parametersExecution['chave'] = item['nome'];
            parametersExecution['valores'].push(item['valor']);
        });
        layoutCurrent['parametrosExecucao'] = [];
        layoutCurrent['parametrosExecucao'].push(parametersExecution);
        if (form) {
            if (form['name_search'] == '' || form['name_search'] == null) {
                notification.show("Favor verificar inconsist\u00EAncia antes de salvar.");
            }
            else {
                layoutCurrent['nome'] = form['name_search'];
                layoutCurrent['padrao'] = (form['default_search']) ? form['default_search'] : false;
                layoutCurrent['codigoFiltro'] = this.retornoParametros['codigo'];
                delete layoutCurrent['id'];
                delete layoutCurrent['filtroVersao'];
                delete layoutCurrent['dataCriacao'];
                delete layoutCurrent['codigo'];
                layoutCurrent['colunasTabelaSimples'].map(function (ret) {
                    delete ret['id'];
                    delete ret['custom'];
                });
                var arrayParameters = [];
                arrayParameters.push(layoutCurrent);
                this._reqHttpService.xhrPost("/sabium/api/pesquisa/salvar", arrayParameters).subscribe(function (ret) {
                    if (ret.success) {
                        notification.show(ret.res[0]['nome'] + " salva com sucesso!");
                        _this.buttonsActions.buttonSaveSearch.disabled = false;
                        _this.sbmFilter.reloadSearchSaved();
                        WebuiPopovers.hide('.saveLayout');
                    }
                }, function (err) {
                    var messageError = JSON.parse(err.res['response']);
                    alert.show('Erro ao salvar a pesquisa', 'Ok', messageError['message'], 'error');
                });
            }
        }
        else {
            if (this.layoutCurrent) {
                var arrayParameters = [];
                var tabelaSimples_1 = [];
                layoutCurrent.colunasTabelaSimples.forEach(function (item) {
                    tabelaSimples_1.push({
                        campo: item.campo,
                        largura: item.largura,
                        visivel: item.visivel
                    });
                });
                arrayParameters.push({
                    'nome': layoutCurrent.nome,
                    'codigoFiltro': layoutCurrent.filtroVersao.filtro.codigo,
                    'colunasTabelaSimples': tabelaSimples_1,
                    'linhasTabelaDinamica': layoutCurrent.linhasTabelaDinamica,
                    'colunasTabelaDinamica': layoutCurrent.colunasTabelaDinamica,
                    'filtrosTabelaDinamica': layoutCurrent.filtrosTabelaDinamica,
                    'funcoesTabelaDinamica': layoutCurrent.funcoesTabelaDinamica,
                    'parametrosExecucao': layoutCurrent.parametrosExecucao,
                    'padrao': layoutCurrent.padrao
                });
                this._reqHttpService.xhrPut("/sabium/api/pesquisa/salvar", arrayParameters).subscribe(function (ret) {
                    if (ret.success) {
                        _this.buttonsActions.buttonSaveSearch.disabled = false;
                        notification.show(_this.layoutCurrent['nome'] + " Atualizado com sucesso!");
                        _this.sbmFilter.reloadSearchSaved();
                    }
                }, function (err) {
                    var messageError = JSON.parse(err.res['response']);
                    alert.show('Erro ao Salvar a pesquisa', 'Ok', messageError['message'], 'error');
                });
            }
        }
    };
    CrudComponent.prototype.removeLayout = function ($el) {
        var _this = this;
        var alert = new alert_component_1.AlertComponent();
        var notification = new notification_component_1.NotificationComponent();
        alert.show("Remover (" + $el['nome'] + ")", 'Sim', 'Deseja realmente remover esta pesquisa', 'info', true, 'Cancelar').then(function (ret) {
            if (ret) {
                _this._reqHttpService.xhrDelete("/sabium/api/pesquisa/" + $el.id).subscribe(function (ret) {
                    if (ret.res.sucesso) {
                        notification.show("Sucesso ao remover (" + $el['nome'] + ")");
                        _this.sbmFilter.reloadSearchSaved();
                    }
                }, function (err) {
                    var messageError = JSON.parse(err.res['response']);
                    alert.show('Erro ao remover a pesquisa', 'Ok', messageError['message'], 'error');
                });
            }
        });
    };
    CrudComponent.prototype.selectLayout = function ($event) {
        this.buttonsActions.buttonSaveSearch.disabled = false;
        this.buttonsActions.buttonRemoveSearch.disabled = false;
        // this.filtroTabelaList.forEach((item) => {
        // if(item.codigo == $event.filtroVersao.filtro.codigo) {
        // this.selectFilter($event.filtroVersao);
        // this.sbmFiltroTabela.setValue($event);
        // }
        // });
        var parameters = {
            'codigo': $event.filtroVersao.filtro.codigo,
            'parametros': [],
            'colunasTabelaSimples': $event['colunasTabelaSimples'],
            'linhasTabelaDinamica': $event['linhasTabelaDinamica'],
            'colunasTabelaDinamica': $event['colunasTabelaDinamica'],
            'filtrosTabelaDinamica': $event['filtrosTabelaDinamica'],
            'funcoesTabelaDinamica': $event['funcoesTabelaDinamica'],
        };
        $event.parametrosExecucao.forEach(function (item) {
            var values = '';
            item['valores'].map(function (value) {
                values = value;
            });
            parameters.parametros.push({
                nome: item['chave'],
                valor: values
            });
        });
        this.showHideColumnValue = $event['colunasTabelaSimples'].filter(function (column) { return (column['visivel']); });
        this.executarFiltro(parameters, true);
        this.layoutCurrent = $event;
    };
    CrudComponent.prototype.ClickShowColumn = function ($event) {
        this.gridResultCrud.instance.columnOption($event.index, 'visible', true);
    };
    CrudComponent.prototype.ClickHideColumn = function ($event) {
        this.gridResultCrud.instance.columnOption($event.index, 'visible', false);
    };
    CrudComponent.prototype.changePerspective = function ($data, pivotGridEl) {
        var value = $($data).prop('checked');
        this.valuePerspective = value;
        if (value) {
            if (this.layoutCurrent) {
                this.getAll(this.layoutCurrent);
            }
            else {
                this.getAll();
            }
            // this.pivotGridEl.instance;//.store = this.setGrid;
        }
        else {
            this.showPivotConf = false;
            this.gridResultCrud.instance.refresh();
        }
    };
    CrudComponent.prototype.exportExcell = function () {
        var _this = this;
        this._reqHttpService.xhrDownload("/filtro/runner/export", this.retornoParametros).subscribe(function (ret) {
            var file = new Blob([ret], { type: 'application/zip' });
            // let fileURL = URL.createObjectURL(file);
            // window.open(fileURL);
            saveAs(file, _this.entity + ".zip");
        }, function (err) {
            var _notification = new notification_component_1.NotificationComponent;
            _notification.show('Erro ao realizar esta operação.');
        });
    };
    CrudComponent.prototype.exportButtonGrid = function () {
        this.gridResultCrud.instance.exportToExcel(false);
    };
    CrudComponent.prototype.getAll = function (parameters) {
        var _this = this;
        this.setGrid = [];
        if (parameters) {
            parameters.parametrosExecucao.forEach(function (item) {
                var o = {
                    'nome': item.chave,
                    valor: null
                };
                item.valores.map(function (value) {
                    o.valor = value;
                });
                parameters.parametrosExecucao = [];
                parameters.parametrosExecucao.push(o);
            });
        }
        this._reqHttpService.xhrPost("/filtro/runner/", (parameters ? {
            'codigo': parameters.filtroVersao.filtro.codigo,
            'parametros': parameters.parametrosExecucao
        } : this.retornoParametros)).subscribe(function (ret) {
            var arrayGrid = [];
            arrayGrid = ret.res.data;
            _this.setGrid = arrayGrid;
            if (_this.layoutCurrent) {
                var fields_1 = [];
                _this.layoutCurrent['colunasTabelaDinamica'].forEach(function (item) {
                    fields_1.push({
                        dataField: item,
                        area: 'column'
                    });
                });
                _this.layoutCurrent['linhasTabelaDinamica'].forEach(function (item) {
                    fields_1.push({
                        dataField: item,
                        area: 'row'
                    });
                });
                /*this.layoutCurrent['leiauteTabelaDinamica']['filtros'].forEach((item) => {
                    fields.push({
                        dataField: item["campo"],
                        area: "filter",
                        dataType: item['tipo']
                    });
                })
                this.layoutCurrent['leiauteTabelaDinamica']['valor'].forEach((item) => {
                    fields.push({
                        dataField: item["campo"],
                        area: "data",
                        dataType: item['tipo'],
                        summaryType: 'sum'
                    });
                })*/
                _this.layoutCurrent['funcoesTabelaDinamica'].forEach(function (item) {
                    fields_1.push({
                        dataField: item['coluna'],
                        area: 'data'
                    });
                });
                _this.pivotGrid = new data_source_1.default({
                    fields: fields_1,
                    store: _this.setGrid
                });
            }
            else {
                _this.pivotGrid = new data_source_1.default({
                    fields: [],
                    store: _this.setGrid
                });
            }
            if (_this.setGrid.length == _this.countRegister) {
                _this.buttonsActions.buttonNextPage.disabled = true;
                _this.buttonsActions.buttonGetAll.disabled = true;
            }
            _this.countRegister = ret.res.size;
        });
    };
    CrudComponent.prototype.pageNext = function () {
        var _this = this;
        var notification = new notification_component_1.NotificationComponent();
        if (this.setGrid.length == this.countRegister) {
            this.buttonsActions.buttonNextPage.disabled = true;
        }
        else {
            this.pageCurrent++;
            $(this._loader.nativeElement).show();
            var pagination = CrudComponent.numero_registro_pagina ? "?p=" + this.pageCurrent + "&l=" + CrudComponent.numero_registro_pagina : "";
            this._reqHttpService.xhrPost("/filtro/runner/" + pagination, this.retornoParametros).subscribe(function (ret) {
                _this.setGrid.push(ret.res.data);
                $(_this._loader.nativeElement).hide();
                _this.countRegister = ret.res.size;
                if (_this.setGrid.length == _this.countRegister) {
                    _this.buttonsActions.buttonNextPage.disabled = true;
                }
            }, function (err) {
                $(_this._loader.nativeElement).hide();
                notification.show("Erro na Chamada do Servi\u00E7o (#" + err.res.status + " - " + err.res.statusText + ")");
            });
        }
    };
    CrudComponent.prototype.defineFilterModel = function (event) {
        this.filterModel = event;
        if (this.filterModel.paginado) {
            CrudComponent.numero_registro_pagina = this.filterModel.numero_registro_pagina;
        }
    };
    CrudComponent.prototype.encontraFilterModel = function (nomeCampo, valor) {
        var retornoComMascara = '';
        var achou = false;
        this.filterModel.saida.forEach(function (item) {
            if (item.nome == nomeCampo) {
                if (item.tipo == 'CPF' && valor) {
                    retornoComMascara = valor.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/g, '\$1.\$2.\$3\-\$4');
                    achou = true;
                }
                else if (item.tipo == 'DATA' && valor) {
                    retornoComMascara = funcoes_component_1.FuncoesComponent.formataData(valor);
                    achou = true;
                }
                else if (item.tipo == 'DATA_HORA' && valor) {
                    retornoComMascara = funcoes_component_1.FuncoesComponent.formataDataHoraFromTimeStamp(valor);
                    achou = true;
                }
                else if (item.tipo == 'DECIMAL' && valor) {
                    retornoComMascara = funcoes_component_1.FuncoesComponent.formataDecimal(valor.toString());
                    achou = true;
                }
                else if (item.tipo == 'CNPJ' && valor) {
                    retornoComMascara = valor.replace(/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/g, '\$1.\$2.\$3\/\$4\-\$5');
                    achou = true;
                }
                else if (item.tipo == 'TELEFONE' && valor) {
                    retornoComMascara = funcoes_component_1.FuncoesComponent.formatPhoneNumber(valor);
                    achou = true;
                }
                else if (item.tipo == 'CEP' && valor) {
                    retornoComMascara = valor.replace(/(\d{2})(\d{3})(\d{3})/g, '\$1.\$2\-\$3');
                    achou = true;
                }
                else if (item.tipo == 'MOEDA' && valor) {
                    retornoComMascara = funcoes_component_1.FuncoesComponent.formataDinheiro(valor.toString());
                    retornoComMascara = 'R$ ' + retornoComMascara;
                    item.alignment = 'right';
                    achou = true;
                }
                else if (item.tipo == 'LOGICO') {
                    /*if(valor.toLowerCase() == "true") {
                        retornoComMascara = "Sim";
                        achou = true;
                    }
                    else if (valor.toLowerCase() == "false") {
                        retornoComMascara = "Não";
                        achou = true;
                    }*/
                }
            }
        });
        return achou ? retornoComMascara : valor;
    };
    CrudComponent.prototype.executarFiltro = function (parameters, savedSearch) {
        var _this = this;
        var notification = new notification_component_1.NotificationComponent();
        var alert = new alert_component_1.AlertComponent();
        this.retornoParametros = parameters;
        this.setGrid = [];
        this.colunas = [];
        $(this._loader.nativeElement).show();
        var pagination = CrudComponent.numero_registro_pagina ? "?p=1&l=" + CrudComponent.numero_registro_pagina : '';
        var invalidParameter = false;
        parameters.parametros.map(function (itm) {
            if (itm['obrigatorio']) {
                if (!itm['valor'] || itm['valor'] == '') {
                    invalidParameter = true;
                    $(_this._loader.nativeElement).hide();
                    _this.sbmFilter.showHideParameters();
                }
            }
            delete itm['obrigatorio'];
        });
        if (!invalidParameter) {
            this._reqHttpService.xhrPost("/filtro/runner/" + pagination, savedSearch ? {
                'codigo': parameters.codigo,
                'parametros': parameters.parametros
            } : parameters).subscribe(function (ret) {
                var arrayGrid = [];
                var alert = new alert_component_1.AlertComponent();
                if (ret.res.data.length > 0) {
                    if (typeof ret.res.data[0]['colunas'] != 'undefined') {
                        for (var i = 0; i < ret.res.data[0].colunas.length; i++) {
                            var colunas = {};
                            colunas['caption'] = ret.res.data[0].colunas[i].rotulo;
                            colunas['dataField'] = ret.res.data[0].colunas[i].rotulo;
                            var direita = ['MOEDA', 'INTEIRO', 'DECIMAL'];
                            colunas['alignment'] = direita.indexOf(ret.res.data[0].colunas[i].tipo) >= 0 ? 'right' : 'left';
                            colunas['formItem'] = {};
                            colunas['formItem']['visible'] = ret.res.data[0].colunas[i].visible;
                            colunas['formItem']['index'] = i;
                            colunas['formItem']['id'] = ret.res.data[0].colunas[i].id;
                            _this.colunas.push(colunas);
                            if (!(parameters)) {
                                _this.layoutCurrent = null;
                            }
                        }
                        _this.sbmListview.selectAll();
                        for (var _i = 0, _a = ret.res.data; _i < _a.length; _i++) {
                            var item = _a[_i];
                            var dataGrid = {};
                            for (var i = 0; i < item.colunas.length; i++) {
                                dataGrid[item.colunas[i].rotulo] = item.colunas[i].valor;
                            }
                            arrayGrid.push(dataGrid);
                        }
                    }
                    else {
                        var r_1 = [];
                        if (_this.filterModel) {
                            _this.filterModel.saida.map(function (item, index) {
                                _this.colunas.push({
                                    caption: _this.translateService.translations[_this.translateService.currentLang].i18n[_projectName][item.rotulo.replace('#', '')],
                                    dataField: item.nome,
                                    width: item.largura,
                                    formItem: {
                                        index: index
                                    }
                                });
                                r_1.push({
                                    index: index
                                });
                            });
                            var valor_1 = '';
                            var valorMascara_1 = '';
                            ret.res.data.map(function (retRunner) {
                                var objectKeys = [];
                                objectKeys = Object.keys(retRunner);
                                var auxRet = retRunner;
                                objectKeys.map(function (nomeCampo) {
                                    valor_1 = auxRet[nomeCampo];
                                    if (valor_1) {
                                        valorMascara_1 = _this.encontraFilterModel(nomeCampo, valor_1);
                                        auxRet[nomeCampo] = valorMascara_1;
                                    }
                                });
                            });
                        }
                        arrayGrid = ret.res.data;
                        setTimeout(function () {
                            _this.showHideColumnValue = r_1;
                        }, 1000);
                    }
                    _this.setGrid = arrayGrid;
                    _this.executedParameters = true;
                    _this.pageCurrent = 1;
                    _this.countRegister = ret.res.size;
                    _this.buttonsActions.buttonOpenCloseFilter.icon = 'keyboard_arrow_right';
                    _this.buttonsActions.buttonNextPage.disabled = false;
                    _this.buttonsActions.buttonGetAll.disabled = false;
                    _this.buttonsActions.buttonSaveSearchAll.disabled = false;
                    _this.buttonsActions.buttonSearchRow.disabled = false;
                    _this.buttonsActions.buttonHideShowColumns.disabled = false;
                    _this.buttonsActions.buttonExport.disabled = false;
                    $(_this._inputPerspec.nativeElement).removeAttr('disabled');
                    if (_this.perspective) {
                        $('.sbm-crud-perspective').show();
                    }
                    $('.sbm-select-layout-grid').show();
                    if (savedSearch /* caso tenha alguma configuração salva vinda do servicor*/) {
                        setTimeout(function () {
                            if (parameters) {
                                parameters['colunasTabelaSimples'].forEach(function (item) {
                                    if (item['visivel'] == true) {
                                        _this.colunas.forEach(function (col) {
                                            if (col['dataField'] == item['campo']) {
                                                _this.gridResultCrud.instance.columnOption(col['formItem']['index'], 'visible', true);
                                                _this.gridResultCrud.instance.columnOption(col['formItem']['index'], 'width', item['largura']);
                                                _this.gridResultCrud.instance.refresh();
                                            }
                                        });
                                    }
                                    else {
                                        _this.colunas.forEach(function (col) {
                                            if (col['dataField'] == item['campo']) {
                                                _this.gridResultCrud.instance.columnOption(col['formItem']['index'], 'visible', false);
                                                _this.gridResultCrud.instance.columnOption(col['formItem']['index'], 'width', item['largura']);
                                                _this.gridResultCrud.instance.refresh();
                                            }
                                        });
                                    }
                                });
                            }
                        });
                    }
                    $(_this._loader.nativeElement).hide();
                }
                else {
                    alert.show('Sua busca não retornou nenhum resultado!', 'Ok', 'Por favor refaça sua busca para encontrar algum registro', 'warning');
                    $(_this._loader.nativeElement).hide();
                }
            }, function (err) {
                notification.show("Erro na Chamada do Servi\u00E7o (#" + err.res.status + " - " + err.res.statusText + ")");
                alert.show('Erro Ao executar o filtro!', 'Ok', "#" + err.res.status + " - " + err.res.statusText + ")", 'error');
                $(_this._loader.nativeElement).hide();
            });
        }
        this.colunas = [];
    };
    CrudComponent.prototype.changeSearchPanelColumn = function () {
        this.searchPanelColumn = !this.searchPanelColumn;
    };
    CrudComponent.prototype.selectionData = function (event) {
        var _this = this;
        this._onSelectGrid.emit(event);
        if (this.onSelectGrid != '') {
            window[this.onSelectGrid](event);
            sbmItemsSelected = event.selectedRowsData;
        }
        this.selectItems.emit(event);
        this.selectItem = event;
        if (event.selectedRowsData.length == 1) {
            if (!this.buttonsActions.buttonRemove.setDisabled) {
                this.buttonsActions.buttonRemove.disabled = false;
            }
            if (!this.buttonsActions.buttonEdit.setDisabled) {
                this.buttonsActions.buttonEdit.disabled = false;
            }
            this.buttonsActions.buttonAudit.disabled = false;
            this._sharedService.setLocalStorage(_projectLocalStorage, 'dataGrid', event.selectedRowsData, true);
        }
        else {
            this.buttonsActions.buttonRemove.disabled = true;
            this.buttonsActions.buttonEdit.disabled = true;
            this.buttonsActions.buttonAudit.disabled = true;
            this._sharedService.setLocalStorage(_projectLocalStorage, 'dataGrid', '', true);
        }
        var rowSelected = {};
        if (this._activatedRoute['routeConfig']) {
            if (this._activatedRoute.routeConfig['data']) {
                if (this._activatedRoute.routeConfig.data['isChildrenCrud']) {
                    this._router.config.map(function (a, i) {
                        if (_this._activatedRoute.routeConfig.data['urlAfter'] == '/' + a.path) {
                            event.selectedRowsData.map(function (i, index, a) {
                                var objKeys = Object.keys(i);
                                for (var _i = 0, objKeys_1 = objKeys; _i < objKeys_1.length; _i++) {
                                    var obj = objKeys_1[_i];
                                    rowSelected[obj.toLocaleLowerCase()] = i[obj];
                                    rowSelected['id'] = parseInt(i['Identificador']);
                                }
                            });
                            a.data['returnData'] = {
                                'data': rowSelected,
                                'id': _this._activatedRoute.routeConfig.data['id'],
                            };
                        }
                    });
                    this._router.navigateByUrl(this._activatedRoute.routeConfig.data['urlAfter']);
                }
            }
        }
    };
    CrudComponent.prototype.resetModels = function () {
        var _this = this;
        if (this.abstractComp && this.abstractComp.length > 0) {
            this.abstractComp.forEach(function (item, index) {
                if (!(item instanceof upload_component_1.UploadComponent)) {
                    if (item['isNotMasterDetail']) {
                        _this.crudSetValue(item['attribute'], '');
                    }
                }
                else {
                    var input = $(item.inputFile.nativeElement);
                    input.val('');
                    input.replaceWith(input.trigger('reset'));
                }
            });
        }
        if (this.masterDetailComp && this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach(function (item, index) {
                _this.crudSetValue(item['attribute'], []);
            });
        }
    };
    CrudComponent.prototype.loadModels = function () {
        var retorno = {};
        if (this.abstractComp && this.abstractComp.length > 0) {
            this.abstractComp.forEach(function (item, index) {
                if (!(item instanceof upload_component_1.UploadComponent)) {
                    if (item['isNotMasterDetail']) {
                        retorno[item['attribute']] = item.value;
                    }
                }
            });
        }
        if (this.masterDetailComp && this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach(function (item, index) {
                retorno[item['attribute']] = item.value;
            });
        }
        return retorno;
    };
    CrudComponent.prototype.validModels = function (attr, error) {
        var formvalid = true;
        if (this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach(function (item, index) {
                if (item.notnull && item.value.length == 0) {
                    item.inputValid = false;
                    item.msgError = item.validationsMsg['require'];
                }
            });
        }
        if (this.abstractComp.length > 0) {
            this.abstractComp.forEach(function (item, index) {
                if (item['input']) {
                    if (item['input']['nativeElement']) {
                        var aux = void 0;
                        aux = item['input']['nativeElement'].getAttribute('aria-invalid');
                        if (aux == 'true') {
                            formvalid = false;
                        }
                    }
                    $(item['input']['nativeElement']).focus();
                    $(item['input']['nativeElement']).blur();
                }
            });
        }
        return formvalid;
    };
    CrudComponent.prototype.crudSetValue = function (key, value) {
        if (this.masterDetailComp.length > 0) {
            this.masterDetailComp.forEach(function (item) {
                if (key == item.attribute) {
                    if ($.isArray(value)) {
                        item.value = [];
                        for (var _i = 0, value_1 = value; _i < value_1.length; _i++) {
                            var l = value_1[_i];
                            item.value.push(l);
                        }
                        // item.dataSource = value
                    }
                    else {
                        item.value = [];
                        if (funcoes_component_1.FuncoesComponent.isNotBlank(value)) {
                            item.value.push(value);
                        }
                        else {
                            item.value = [];
                            item.inputValid = true;
                        }
                    }
                    // item.dataSource = item.value;
                    /*item.loadedReq.subscribe((ret) => {
                        if (ret) {
                            item.value.push(value)
                            item.dataSource.push(value)
                        }
                    })*/
                }
            });
        }
        if (this.abstractComp.length > 0) {
            this.abstractComp.forEach(function (item) {
                if (!(item instanceof upload_component_1.UploadComponent)) {
                    if (key == item['attribute'] && item['isNotMasterDetail']) {
                        item.value = value;
                        // input telefone
                        if (item.hasOwnProperty('valueMask')) {
                            item['valueMask'] = value;
                        }
                        if (value) {
                            if (value === undefined || value.length == 0) {
                                item['inputValid'] = true;
                            }
                        }
                        else {
                            item['inputValid'] = true;
                        }
                    }
                }
            });
        }
    };
    CrudComponent.prototype.reloadModel = function () {
        var _this = this;
        var _getFormCrud = this._sharedService.getLocalStorage(_projectLocalStorage + 'CRUD/', window.location.href + '-' + this.entity, true);
        if (_getFormCrud) {
            var clearForm = Object.keys(this.loadModels());
            this.onModels.emit(_getFormCrud);
            clearForm.map(function (a) {
                _this.crudSetValue(a, _getFormCrud[a]);
            });
        }
    };
    CrudComponent.prototype.returnEdit = function () {
        if (this._activatedRoute['routeConfig']) {
            if (this._activatedRoute.routeConfig['data']) {
                if (this._activatedRoute.routeConfig.data['masterDetailEdit']) {
                    if (this._activatedRoute.routeConfig.data['returnDataEdit']) {
                        this.onModels.emit(this._activatedRoute.routeConfig.data['returnDataEdit']);
                        // this.models = this._activatedRoute.routeConfig.data['returnDataEdit'];
                        this._sharedService.setLocalStorage(_projectLocalStorage + 'CRUD/', window.location.href + '-' + this.entity, this._activatedRoute.routeConfig.data['returnDataEdit'], true);
                        this.update.update = true;
                        this.update.id = this._activatedRoute.routeConfig.data['returnDataEdit']['id'];
                        this.reloadModel();
                    }
                }
            }
        }
    };
    CrudComponent.prototype.ngOnInit = function () {
        var _this = this;
        Notification.requestPermission();
        this._sharedService.setLocalStorage(_projectLocalStorage + 'CRUD/', "init/" + window.location.href + "-" + this.entity, this.loadModels(), true);
        if (this.table == '') {
            this.table = this.entity;
        }
        this.breadC = breadcrumb_crud_component_1.BreadcrumbCrudComponent.breadcrumbAlterado.subscribe(function (ret) {
            _this.crudFormAtive = false;
            _this.formControlHidden = true;
        });
        var valor = this._sharedService.getLocalStorage(_projectLocalStorage, this.bc['localStogare'] + '-' + this.entity, false);
        if (valor) {
            this.crudFormAtive = true;
            this.formControlHidden = false;
        }
        if (this._activatedRoute['routeConfig']) {
            if (this._activatedRoute['routeConfig']['data']) {
                if (this._activatedRoute.routeConfig['data']['isChildrenCrud']) {
                    if (this._activatedRoute.routeConfig.data['filter']) {
                        this.crudFormAtive = false;
                        this.formControlHidden = true;
                    }
                    else {
                        this.crudFormAtive = true;
                        this.formControlHidden = false;
                    }
                }
            }
        }
        this.ActionButtons = select_component_1.SelectComponent._onActionButtons.subscribe(function (ret) {
            //combo para mudar de crud
        });
    };
    CrudComponent.prototype.ngAfterViewChecked = function () {
        var _this = this;
        $(document).ready(function () {
            _this._sharedService.setLocalStorage(_projectLocalStorage + 'CRUD/', window.location.href + '-' + _this.entity, _this.loadModels(), true);
        });
    };
    CrudComponent.prototype.ngContentInit = function () {
        // this.crudFormComponent.changes.subscribe(ret => console.log(ret))
    };
    CrudComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        $(document).ready(function () {
            _this.reloadModel();
            _this.returnEdit();
            if (_this._activatedRoute['routeConfig']) {
                if (_this._activatedRoute.routeConfig['data']) {
                    if (_this._activatedRoute.routeConfig.data['returnData']) {
                        if (_this._activatedRoute.routeConfig.data['masterDetailEdit']) {
                            _this.crudSetValue(_this._activatedRoute.routeConfig.data['returnData']['id'], _this._activatedRoute.routeConfig.data['returnData']['data']);
                        }
                        else if (_this._activatedRoute.routeConfig.data['masterDetailNew']) {
                            _this.crudSetValue(_this._activatedRoute.routeConfig.data['returnData']['id'], _this._activatedRoute.routeConfig.data['returnData']['data']);
                        }
                        else {
                            _this.reloadModel();
                            _this.crudSetValue(_this._activatedRoute.routeConfig.data['returnData']['id'], _this._activatedRoute.routeConfig.data['returnData']['data']);
                        }
                    }
                }
            }
            WebuiPopovers.create('.showHideColumns', {
                url: '#showHideColumnsContent',
                placement: 'bottom-left',
                width: 400,
                height: 460,
                animation: 'pop',
                backdrop: true,
                closeable: true,
                dismissible: true,
            });
            WebuiPopovers.create('#sbmPivotConfig', {
                url: '#sbmPivotContentConfig',
                placement: 'bottom',
                width: 400,
                height: 500,
                animation: 'pop',
                backdrop: true,
                closeable: true,
                dismissible: false,
                onHide: function ($element) {
                    _this.layoutDinamic();
                },
            });
            WebuiPopovers.create('.saveLayout', {
                url: '#saveLayoutContent',
                placement: 'bottom-left',
                width: 300,
                height: 170,
                backdrop: true,
                animation: 'pop',
                closeable: true,
                dismissible: true,
                onShow: function ($element) {
                    _this.inputSaveLayout.input.nativeElement.focus();
                }
            });
        });
    };
    CrudComponent.prototype.ngOnDestroy = function () {
        this.breadC.unsubscribe();
        this.ActionButtons.unsubscribe();
    };
    return CrudComponent;
}(abstract_crud_1.AbstractCrud));
CrudComponent.resetarUploadFile = new core_1.EventEmitter();
CrudComponent.emitChangeFilter = new core_1.EventEmitter();
CrudComponent.numero_registro_pagina = null;
CrudComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-crud',
                template: require('./crud.component.html'),
           },] },
];
/** @nocollapse */
CrudComponent.ctorParameters = function () { return [
    { type: req_http_service_1.ReqHttpService, },
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
    { type: http_1.Http, },
    { type: sbm_http_client_service_1.SbmHttpClientService, },
    { type: router_1.Router, },
    { type: material_1.MatDialog, },
    { type: router_1.ActivatedRoute, },
    { type: core_1.ElementRef, },
]; };
CrudComponent.propDecorators = {
    'crudFormComponent': [{ type: core_1.ContentChildren, args: [CrudFormComponent, { descendants: true },] },],
    'masterDetailComp': [{ type: core_1.ContentChildren, args: [master_detail_component_1.MasterDetailComponent, { descendants: true },] },],
    'inputTextComp': [{ type: core_1.ContentChildren, args: [input_text_component_1.InputTextComponent, { descendants: true },] },],
    'inputTelefoneComp': [{ type: core_1.ContentChildren, args: [input_telefone_component_1.InputTelefoneComponent, { descendants: true },] },],
    'inputPasswordComp': [{ type: core_1.ContentChildren, args: [input_password_component_1.InputPasswordComponent, { descendants: true },] },],
    'inputNumberComp': [{ type: core_1.ContentChildren, args: [input_number_component_1.InputNumberComponent, { descendants: true },] },],
    'inputMaskComp': [{ type: core_1.ContentChildren, args: [input_mask_component_1.InputMaskComponent, { descendants: true },] },],
    'inputCepComp': [{ type: core_1.ContentChildren, args: [input_cep_component_1.InputCepComponent, { descendants: true },] },],
    'inputCnpjComp': [{ type: core_1.ContentChildren, args: [input_cnpj_component_1.InputCnpjComponent, { descendants: true },] },],
    'inputCpfComp': [{ type: core_1.ContentChildren, args: [input_cpf_component_1.InputCpfComponent, { descendants: true },] },],
    'inputEmailComp': [{ type: core_1.ContentChildren, args: [input_email_component_1.InputEmailComponent, { descendants: true },] },],
    'radioComp': [{ type: core_1.ContentChildren, args: [radio_component_1.RadioComponent, { descendants: true },] },],
    'listViewComp': [{ type: core_1.ContentChildren, args: [list_view_component_1.ListViewComponent, { descendants: true },] },],
    'dateBoxComp': [{ type: core_1.ContentChildren, args: [datebox_component_1.DateboxComponent, { descendants: true },] },],
    'uploadComp': [{ type: core_1.ContentChildren, args: [upload_component_1.UploadComponent, { descendants: true },] },],
    'autoCompleteComp': [{ type: core_1.ContentChildren, args: [autocomplete_component_1.AutocompleteComponent, { descendants: true },] },],
    'checkBoxComp': [{ type: core_1.ContentChildren, args: [checkbox_component_1.CheckboxComponent, { descendants: true },] },],
    'moneyComp': [{ type: core_1.ContentChildren, args: [money_component_1.MoneyComponent, { descendants: true },] },],
    'textareaComp': [{ type: core_1.ContentChildren, args: [textarea_component_1.TextareaComponent, { descendants: true },] },],
    'multiSelectComp': [{ type: core_1.ContentChildren, args: [multiselect_component_1.MultiselectComponent, { descendants: true },] },],
    'selectComp': [{ type: core_1.ContentChildren, args: [select_component_1.SelectComponent, { descendants: true },] },],
    'abstractComp': [{ type: core_1.ContentChildren, args: [abstract_ngmodel_1.AbstractNgModel, { descendants: true },] },],
    'sbmCrudContent': [{ type: core_1.ViewChild, args: ['sbmCrudContent',] },],
    '_crudFrom': [{ type: core_1.ViewChild, args: ['crudFrom',] },],
    '_buttonNext': [{ type: core_1.ViewChild, args: ['buttonNext',] },],
    '_buttonAll': [{ type: core_1.ViewChild, args: ['buttonAll',] },],
    '_loader': [{ type: core_1.ViewChild, args: ['loader',] },],
    'parametersEl': [{ type: core_1.ViewChild, args: ['parameters',] },],
    'formCurdEl': [{ type: core_1.ViewChild, args: ['formCrud',] },],
    '_inputPerspec': [{ type: core_1.ViewChild, args: ['inputPerspec',] },],
    'gridResultCrud': [{ type: core_1.ViewChild, args: ['gridResultCrud',] },],
    'sbmLayout': [{ type: core_1.ViewChild, args: ['sbmLayout',] },],
    'sbmFiltroTabela': [{ type: core_1.ViewChild, args: ['filtroTabela',] },],
    'sbmPivotGridChooser': [{ type: core_1.ViewChild, args: ['pivotGridChooser',] },],
    'pivotGridEl': [{ type: core_1.ViewChild, args: ['pivotGridEl',] },],
    'sbmFilter': [{ type: core_1.ViewChild, args: ['filter',] },],
    'sbmListview': [{ type: core_1.ViewChild, args: ['sbmListview',] },],
    'inputSaveLayout': [{ type: core_1.ViewChild, args: ['inputSaveLayout',] },],
    'breadcrumbCrud': [{ type: core_1.ViewChild, args: ['breadcrumbCrud',] },],
    '_onSelectGrid': [{ type: core_1.Output },],
    'id': [{ type: core_1.Input },],
    'onSelectGrid': [{ type: core_1.Input, args: ['onselectgrid',] },],
    'onClickEdit': [{ type: core_1.Input, args: ['onclickedit',] },],
    'onClickAdd': [{ type: core_1.Input, args: ['onclickadd',] },],
    'beforeSend': [{ type: core_1.Input, args: ['beforesend',] },],
    'onClickEditAfterRequest': [{ type: core_1.Input, args: ['onclickeditafterrequest',] },],
    'disablebuttonadd': [{ type: core_1.Input },],
    'disablebuttonedit': [{ type: core_1.Input },],
    'disablebuttonremove': [{ type: core_1.Input },],
    'hidebuttonremove': [{ type: core_1.Input },],
    'entity': [{ type: core_1.Input },],
    'dynamic': [{ type: core_1.Input },],
    'entityEdit': [{ type: core_1.Input, args: ['entityedit',] },],
    'urlBase': [{ type: core_1.Input },],
    'pathFilter': [{ type: core_1.Input },],
    'table': [{ type: core_1.Input },],
    'masterDetail': [{ type: core_1.Input },],
    'perspective': [{ type: core_1.Input },],
    'bpmn': [{ type: core_1.Input },],
    'bpmnId': [{ type: core_1.Input },],
    'selectItems': [{ type: core_1.Output },],
    'clickedNew': [{ type: core_1.Output },],
    'clickedEdit': [{ type: core_1.Output },],
    'clickedCancel': [{ type: core_1.Output },],
    'onModels': [{ type: core_1.Output },],
    'clickedEditAfterRequest': [{ type: core_1.Output },],
    'crudEvents': [{ type: core_1.Output },],
    'layout': [{ type: core_1.Input },],
    'models': [{ type: core_1.Input },],
};
exports.CrudComponent = CrudComponent;
