import { Subscription } from 'rxjs';
import { ElementRef, OnInit } from '@angular/core';
import { IComponentDefault } from '../../interfaces/IComponentDefault';
import { AbstractNgModel } from '../../models/abstract.ngmodel';
import { SharedService } from '../../models/sharedService';
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
import { DateTimePickerComponent } from 'ng-pick-datetime/picker.component';
export declare class DateboxComponent extends AbstractNgModel implements IComponentDefault, OnInit {
    private _sharedService;
    _http: Http;
    private _translateService;
    constructor(_sharedService: SharedService, _http: Http, _translateService: TranslateService);
    input: ElementRef;
    picker: any;
    picker2: any;
    input2: ElementRef;
    component2: any;
    component3: any;
    mydatepicker: DateTimePickerComponent;
    currentDay: boolean;
    minValueCompl: any;
    maxValueCompl: any;
    defaultValue: number;
    notnull2: boolean;
    hiddenDate2Range: boolean;
    private _selectionMode;
    selectionMode: string;
    _min: any;
    min: any;
    _max: any;
    max: any;
    displayFormat: any;
    typeDisplay: any;
    _type: any;
    type: any;
    abrirPicker(): void;
    abrirPicker2(): void;
    isNotMasterDetail: boolean;
    valueChangeSubscription: Subscription;
    inputValid: boolean;
    value: any;
    valueDisplay: any;
    dateComp: any;
    dateComp2: any;
    dateComp1: any;
    disabled2: boolean;
    min2: any;
    init: any;
    end: any;
    textDateBox: any;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    blur: (date: any) => void;
    changeDate(date: any, type: any): void;
    regex(value: string): boolean;
    ngOnDestroy(): void;
}
export declare const DateboxConstDisplayFormat: {
    date: string;
    time: string;
    datetime: string;
};
export declare enum DateboxEnumType {
    date = 0,
    time = 1,
    datetime = 2,
}
