"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var sharedService_1 = require("../../models/sharedService");
var core_2 = require("@ngx-translate/core");
var http_1 = require("@angular/http");
var DropComponent = (function (_super) {
    __extends(DropComponent, _super);
    function DropComponent(_sharedService, _translateService, _http) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._sharedService = _sharedService;
        _this._translateService = _translateService;
        _this._http = _http;
        _this._droppedItems = [];
        _this.items = [];
        _this.instanceDrag = [];
        _this.callDrop = new core_1.EventEmitter();
        _this.callBackRemove = new core_1.EventEmitter();
        _this.isDropped = false;
        _this.emptyMessage = 'Vazio';
        _this.keepItems = false;
        _this._design = 'simple';
        _this.itemSrc = 'assets';
        _this.itemLink = 'principal';
        _this.itemIcon = 'grade';
        _this.itemTitle = 'title';
        _this.itemTextButton = 'title';
        _this.itemButtonHidden = false;
        _this.itemButtonHidden2 = false;
        _this.itemButtonDisabled = false;
        _this.itemButtonDisabled2 = false;
        _this.iconItems = 'more_horiz';
        _this.iconItems2 = 'more_horiz';
        _this.itemDisabled = false;
        _this.itemDesc = 'title';
        _this.itemKey = '';
        _this.dropScope = ['drop1'];
        _this.dropEnabled = true;
        _this.labelInstalled = '';
        _this.onDropItem = new core_1.EventEmitter();
        _this.onDragItem = new core_1.EventEmitter();
        _this.onButtonSelect = new core_1.EventEmitter();
        _this.onButtonSelectTwo = new core_1.EventEmitter();
        return _this;
    }
    Object.defineProperty(DropComponent.prototype, "droppedItems", {
        get: function () {
            return this._droppedItems;
        },
        set: function (val) {
            this._droppedItems = val;
            // this.value = this._droppedItems;
        },
        enumerable: true,
        configurable: true
    });
    ;
    ;
    Object.defineProperty(DropComponent.prototype, "design", {
        get: function () {
            return this._design;
        },
        set: function (val) {
            if (val == 'avatar' || val == 'blocks' || val == 'actionButton') {
                this._design = val;
            }
            else {
                this._design = 'simple';
            }
        },
        enumerable: true,
        configurable: true
    });
    DropComponent.prototype.buttonItemSelect = function (item) {
        this.onButtonSelect.emit(item);
    };
    DropComponent.prototype.buttonItemSelect2 = function (item) {
        this.onButtonSelectTwo.emit(item);
    };
    DropComponent.prototype.removeIndexes = function (array) {
        var newValue = [];
        array.forEach(function (item) {
            var keys = Object.keys(item);
            var object = {};
            keys.forEach(function (key) {
                if (key != 'dragScope' && key != 'index' && key != 'drag_visible') {
                    object[key] = item[key];
                }
            });
            newValue.push(object);
        });
        return newValue;
    };
    DropComponent.prototype.dragEndStart = function (e, instanceDrag) {
        /*instanceDrag['instance'].onDrop.subscribe(ret => {
            instanceDrag['instance'].onItemthis(e, this);
            // this.onDragItem.emit(e);
        });*/
        this.elementDrop = e;
    };
    DropComponent.prototype.dragEnd = function (e, instanceDrag) {
        var _this = this;
        var verif;
        if (this.itemKey == '') {
            verif = this.droppedItems.filter(function (item) { return JSON.stringify(item) == JSON.stringify(e); });
        }
        else {
            verif = this.droppedItems.filter(function (item) { return item[_this.itemKey] == e[_this.itemKey]; });
        }
        if (verif.length > 0) {
            var items = instanceDrag['instance']['items'];
            this.isDropped = true;
            items.forEach(function (item, index) {
                if (_this.itemKey == '') {
                    if (JSON.stringify(item) == JSON.stringify(e)) {
                        instanceDrag['instance']['items'][item['index'] ? item['index'] : index]['drag_visible'] = true;
                    }
                }
                else {
                    if (item[_this.itemKey] == e[_this.itemKey]) {
                        instanceDrag['instance']['items'][item['index'] ? item['index'] : index]['drag_visible'] = true;
                    }
                }
            });
            instanceDrag['instance'].itemsHide = instanceDrag['instance']['items'].filter(function (itm) { return (itm['drag_visible']); });
            this.droppedItems.forEach(function (item, index) {
                if (_this.itemKey == '') {
                    if (JSON.stringify(item) == JSON.stringify(e)) {
                        _this.droppedItems.splice(index, 1);
                        _this.instanceDrag.splice(index, 1);
                    }
                }
                else {
                    if (item[_this.itemKey] == e[_this.itemKey]) {
                        _this.droppedItems.splice(index, 1);
                        _this.instanceDrag.splice(index, 1);
                    }
                }
            });
            this.value = this.removeIndexes(this.droppedItems);
            this.onDragItem.emit(e);
        }
    };
    DropComponent.prototype.onItemDrop = function (e) {
        var _this = this;
        var verif;
        if (this.itemKey == '') {
            verif = this.droppedItems.filter(function (item) { return JSON.stringify(item) == JSON.stringify(e['dragData']['item']); });
        }
        else {
            verif = this.droppedItems.filter(function (item) { return item[_this.itemKey] == e['dragData']['item'][_this.itemKey]; });
        }
        if (verif.length == 0) {
            // this.callDrop.emit({'dropItem': e, 'dropped': true});
            this.isDropped = true;
            var element_1 = e;
            if (this.droppedItems.length > 0) {
                var newItem = void 0;
                if (this.itemKey == '') {
                    newItem = this.droppedItems.filter(function (item) { return JSON.stringify(item) == JSON.stringify(element_1['dragData']['item']); });
                }
                else {
                    newItem = this.droppedItems.filter(function (item) { return item[_this.itemKey] == element_1['dragData']['item'][_this.itemKey]; });
                }
                if (newItem.length == 0) {
                    this.droppedItems.push(element_1['dragData']['item']);
                    this.instanceDrag.push(element_1['dragData']);
                }
            }
            else {
                this.droppedItems.push(element_1['dragData']['item']);
                this.instanceDrag.push(element_1['dragData']);
            }
            if (e['dragData']['instance']) {
                if (!e['dragData']['instance']['keepItems']) {
                    e['dragData']['instance'].items[e['dragData']['item']['index']].drag_visible = false;
                    e['dragData']['instance'].itemsHide = e['dragData']['instance'].items.filter(function (itm) { return (itm['drag_visible']); });
                }
            }
            this.value = this.removeIndexes(this.droppedItems);
            this.onDropItem.emit(element_1['dragData']);
        }
    };
    DropComponent.prototype.removeItem = function ($item) {
        this.callBackRemove.emit($item);
    };
    DropComponent.prototype.ngOnInit = function () {
        this.validar(this.securityId);
    };
    DropComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.onChangeValue.subscribe(function (val) {
            if (typeof val === 'object') {
                if (val.length === 0) {
                    if (_this.instanceDrag.length > 0) {
                        _this.instanceDrag.forEach(function (drag) {
                            if (drag['instance'].items.length > 0) {
                                drag['instance'].items.forEach(function (item, index) {
                                    item['drag_visible'] = true;
                                });
                                drag['instance'].itemsHide = drag['instance'].items.filter(function (itm) { return (itm['drag_visible']); });
                            }
                        });
                    }
                    _this.droppedItems = [];
                }
            }
        });
    };
    return DropComponent;
}(abstract_ngmodel_1.AbstractNgModel));
DropComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-drop',
                template: require('./drop.component.html'),
                styles: [require('./drop.component.css')],

                host: {
                    '[class]': 'columns'
                },
                providers: [abstract_ngmodel_1.MakeProvider(DropComponent)]
            },] },
];
/** @nocollapse */
DropComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: core_2.TranslateService, },
    { type: http_1.Http, },
]; };
DropComponent.propDecorators = {
    'emptyMessage': [{ type: core_1.Input },],
    'keepItems': [{ type: core_1.Input },],
    'design': [{ type: core_1.Input },],
    'itemSrc': [{ type: core_1.Input },],
    'itemLink': [{ type: core_1.Input },],
    'itemIcon': [{ type: core_1.Input },],
    'itemTitle': [{ type: core_1.Input },],
    'itemTextButton': [{ type: core_1.Input },],
    'itemButtonHidden': [{ type: core_1.Input },],
    'itemButtonHidden2': [{ type: core_1.Input },],
    'itemButtonDisabled': [{ type: core_1.Input },],
    'itemButtonDisabled2': [{ type: core_1.Input },],
    'iconItems': [{ type: core_1.Input },],
    'iconItems2': [{ type: core_1.Input },],
    'itemDisabled': [{ type: core_1.Input },],
    'itemDesc': [{ type: core_1.Input },],
    'itemKey': [{ type: core_1.Input },],
    'dropScope': [{ type: core_1.Input },],
    'dropEnabled': [{ type: core_1.Input },],
    'labelInstalled': [{ type: core_1.Input },],
    'onDropItem': [{ type: core_1.Output },],
    'onDragItem': [{ type: core_1.Output },],
    'onButtonSelect': [{ type: core_1.Output },],
    'onButtonSelectTwo': [{ type: core_1.Output },],
};
exports.DropComponent = DropComponent;
