"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var FieldsetComponent = (function (_super) {
    __extends(FieldsetComponent, _super);
    function FieldsetComponent(_sharedService, _http, _translateService) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._sharedService = _sharedService;
        _this._http = _http;
        _this._translateService = _translateService;
        _this.textWidth = '';
        _this.textAlign = '';
        _this.height = '';
        _this.showborder = 'true';
        _this.showlabel = 'true';
        _this._layout = 'horizontal';
        _this.setContent = function (content) {
            $(_this.sbmFieldSetContent.nativeElement).html(content);
        };
        sbmFieldsetComponent.push(_this);
        return _this;
    }
    Object.defineProperty(FieldsetComponent.prototype, "layout", {
        get: function () {
            return this._layout;
        },
        set: function (value) {
            this._layout = value;
            if (value == 'vertical') {
                var nElement = this.sbmFieldSetContent.nativeElement;
                var copyChildren = $.extend(true, {}, nElement.children);
                nElement.innerHTML = '';
                for (var j = 0; j < copyChildren.length; j++) {
                    var linhaRow = document.createElement('div');
                    linhaRow.setAttribute('class', 'row');
                    linhaRow.appendChild(copyChildren[j]);
                    nElement.appendChild(linhaRow);
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    FieldsetComponent.prototype.ngOnInit = function () {
        _super.prototype.validar.call(this, this.securityId);
        if (this.css) {
            this.css = 'sbm-fieldset';
        }
    };
    return FieldsetComponent;
}(abstract_ngmodel_1.AbstractNgModel));
FieldsetComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-fieldset',
                template: require('./fieldset.component.html'),
                styles: [require('./fieldset.component.css')],

                host: {
                    '[class]': 'classCss'
                }
            },] },
];
/** @nocollapse */
FieldsetComponent.ctorParameters = function () { return [
    { type: sharedService_1.SharedService, },
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
]; };
FieldsetComponent.propDecorators = {
    'fieldset': [{ type: core_1.ViewChild, args: ['fieldset',] },],
    'sbmFieldSetContent': [{ type: core_1.ViewChild, args: ['sbmFieldSetContent',] },],
    'textAlign': [{ type: core_1.Input },],
    'height': [{ type: core_1.Input },],
    'showborder': [{ type: core_1.Input },],
    'showlabel': [{ type: core_1.Input },],
    'layout': [{ type: core_1.Input },],
};
exports.FieldsetComponent = FieldsetComponent;
