import { ElementRef, EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { ReqHttpService } from '../../services/req-http.service';
import { TranslateService } from '@ngx-translate/core';
import { Http } from '@angular/http';
import { ParametersComponent } from '../parameters/parameters.component';
import { DxDataGridComponent } from 'devextreme-angular';
export declare class FiltersComponent implements OnInit {
    private _reqHttpService;
    private _translateService;
    _http: Http;
    constructor(_reqHttpService: ReqHttpService, _translateService: TranslateService, _http: Http);
    translateService: any;
    private identificadorRecursoSegurancaFiltro;
    parameters: ElementRef;
    content: ElementRef;
    parameterscomponent1: ParametersComponent;
    parameterscomponent2: ParametersComponent;
    gridResultCrud: DxDataGridComponent;
    entity: string;
    table: string;
    code: string;
    buttonExport: boolean;
    onFilter: string;
    onSelectFilter: string;
    searchSaved: boolean;
    grid: boolean;
    type: string;
    _onFilter: EventEmitter<{}>;
    _search: EventEmitter<{}>;
    _onSelectFilter: EventEmitter<{}>;
    filterModel: any;
    _columns: any;
    columns: any;
    dataSource: any[];
    selectedFilter: boolean;
    selectionSearch: any;
    private _filterCod;
    filtroTabela: any;
    crudLayoutGrid: any;
    _showHideParameters: boolean;
    setGrid: any[];
    private _filterModel;
    showParameters: any;
    comboDisabled: boolean;
    colunas: any;
    retornoParametros: any;
    url: string;
    operationDescriptions: any;
    ngOnChanges(changes: SimpleChanges): void;
    showHideParameters(): void;
    exportExcell(): void;
    getFiltroTabela(): void;
    reloadSearchSaved(): void;
    getFiltroCodigo(valor?: any): void;
    retornoParametro(retorno: any): void;
    encontraFilterModel(nomeCampo: any, valor: string): string;
    executarFiltro(): void;
    selectSearch(search: any): void;
    selectFilter(event: any): void;
    ngOnInit(): void;
}
