"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var abstract_ngmodel_1 = require("../../models/abstract.ngmodel");
var req_http_service_1 = require("../../services/req-http.service");
var alert_component_1 = require("../alert/alert.component");
var grid_component_1 = require("../grid/grid.component");
var notification_component_1 = require("../notification/notification.component");
var master_detail_form_component_1 = require("../master-detail-form/master-detail-form.component");
var core_2 = require("@ngx-translate/core");
var sharedService_1 = require("../../models/sharedService");
var http_1 = require("@angular/http");
var material_1 = require("@angular/material");
var MasterDetailComponent = (function (_super) {
    __extends(MasterDetailComponent, _super);
    function MasterDetailComponent(_reqHttpService, _sharedService, _http, _translateService, dialog) {
        var _this = _super.call(this, _sharedService, _translateService, _http) || this;
        _this._reqHttpService = _reqHttpService;
        _this._sharedService = _sharedService;
        _this._http = _http;
        _this._translateService = _translateService;
        _this.dialog = dialog;
        _this.id = '';
        _this.securityId = '';
        _this.gridMasterDetail = false;
        _this.formMasterDetail = true;
        _this.update = {
            key: null,
            refresh: false
        };
        _this.attribute = '';
        _this.saveServer = false;
        _this.urlAction = null;
        _this.entity = null;
        _this.dataSource = [];
        _this.notnull = false;
        _this._columns = 'col l12 m12 s12 crud-form-dynamic sbm-master-detail';
        _this.inputValid = true;
        _this.msgError = 'Campo Incorreto';
        _this.randomClass = 0;
        _this.loadedReq = new core_1.EventEmitter();
        _this._valueVerified = true;
        _this.generatedEntity = {};
        _this.valueEntity = {};
        _this.newFormMasterDetail = new core_1.EventEmitter();
        _this.validationsMsg = {
            require: null,
            MasterDetailRemoveItem: null,
            MasterDetailRemoveYes: null,
            MasterDetailRemoveCancel: null,
            MasterDetailRemoveSuccess: null,
            MasterDetailCancelAddItem: null,
            MasterDetailAddItem: null
        };
        _this.addDinamicparameter = [];
        _this.formVisible = false;
        sbmMasterDetailComponent.push(_this);
        return _this;
    }
    Object.defineProperty(MasterDetailComponent.prototype, "columns", {
        get: function () {
            return this._columns;
        },
        set: function (value) {
            this._columns = "col l" + value + " m12 s12 crud-form-dynamic sbm-master-detail";
        },
        enumerable: true,
        configurable: true
    });
    MasterDetailComponent.prototype.newMasterDetail = function ($data) {
        var _this = this;
        var _data = {};
        var data = [];
        this.dataColumns.forEach(function (a, i) {
            if (a.isEntity) {
                _this.generatedEntity[a.value].map(function (g) {
                    if (g.id == $data.data[a.value]) {
                        _data[a.value] = g;
                    }
                });
            }
            else {
                _data[a.value] = $data.data[a.value];
            }
        });
        data.push(_data);
        this._reqHttpService.xhrPost("/sabium/api/" + this.entity, data).subscribe(function (ret) {
            var _loop_1 = function (item) {
                _this.value = [];
                _this.value.push(item);
                _this.dataSource.map(function (a, i) {
                    if (a.__KEY__ == $data.data.__KEY__) {
                        _this.dataSource[i]['id'] = item.id;
                    }
                });
            };
            for (var _i = 0, _a = ret.res; _i < _a.length; _i++) {
                var item = _a[_i];
                _loop_1(item);
            }
        });
    };
    MasterDetailComponent.prototype.editMasterDetail = function ($data) {
        var _this = this;
        var _data = {};
        var data = [];
        this.dataColumns.forEach(function (a, i) {
            if (a.isEntity) {
                _this.generatedEntity[a.value].map(function (g) {
                    if (g.id == $data.key[a.value]) {
                        _data[a.value] = g;
                    }
                });
            }
            else {
                _data[a.value] = $data.key[a.value];
                _data['id'] = $data.key['id'];
            }
        });
        data.push(_data);
        this._reqHttpService.xhrPost("/sabium/api/" + this.entity, data).subscribe(function (ret) {
            _this.value.map(function (a, i) {
                if (a.id == $data.key['id']) {
                    _this.value[i] = ret.res[0];
                }
            });
        });
    };
    MasterDetailComponent.prototype.removeMasterDetail = function ($data) {
        var _this = this;
        var notification = new notification_component_1.NotificationComponent();
        this._reqHttpService.xhrDelete("/sabium/api/" + this.entity + "/" + $data.key['id']).subscribe(function (ret) {
            if (ret.res.sucesso) {
                notification.show('O item foi excluído com sucesso');
                _this.value.map(function (a, i) {
                    if (a.id == $data.key['id']) {
                        _this.value.slice(i, 1);
                    }
                });
            }
        });
    };
    MasterDetailComponent.prototype.itemEdit = function ($class, $data) {
        var _this = this;
        var keys = Object.keys($data.data);
        this.sbmMasterDetailForm.forEach(function (item) {
            console.log($class.id);
            console.log(item.elementRef);
            if ($class.id == item.elementRef) {
                for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
                    var i = keys_1[_i];
                    item.setValue(i, $data.data[i]);
                }
                _this.update.refresh = true;
                _this.update.key = $data.rowIndex;
                _this.itemNew($class);
            }
        });
    };
    MasterDetailComponent.prototype.validInput = function () {
        if (this.notnull && this.value.length == 0) {
            this.inputValid = false;
            this.msgError = this.validationsMsg['require'];
        }
        else {
            this.inputValid = true;
        }
    };
    MasterDetailComponent.prototype.itemRemove = function ($data) {
        var _this = this;
        var alert = new alert_component_1.AlertComponent();
        var notification = new notification_component_1.NotificationComponent();
        alert.show('Deseja realmente remover este item?', 'Sim', '', 'warning', true, 'Cancelar').then(function (ret) {
            if (ret) {
                _this.value.map(function (v, i) {
                    if (v == $data.data) {
                        _this.value.splice(i, 1);
                        notification.show('Removido com sucesso');
                        _this.validInput();
                    }
                });
                if (_this.value.length == 0) {
                    _this.value = null;
                }
            }
        });
    };
    MasterDetailComponent.prototype.itemNew = function ($class) {
        var _this = this;
        this.gridMasterDetail = true;
        this.formMasterDetail = false;
        var emitForm;
        this.newFormMasterDetail.emit(true);
        this.masterDetailTemplate = this.sbmMasterDetailForm.first.columnTemplate;
        /*let dialogRef = this.dialog.open(DialogMasterDetail, {
            width:'700px',
            data: {
                template: this.masterDetailTemplate
            }
        });*/
        this.formTemplate = this.masterDetailTemplate;
        this.formVisible = true;
        emitForm = this.sbmMasterDetailForm.first.formMasterDetail.subscribe(function (ret) {
            if (!_this.value) {
                _this.value = [];
            }
            if (_this.update.refresh) {
                _this.sbmMasterDetailForm.first.buttonText = 'Salvar';
                $class.value[_this.update.key] = ret;
                _this.update.refresh = false;
            }
            else {
                _this.sbmMasterDetailForm.first.buttonText = 'Adicionar';
                $class.value.push(ret);
                _this.validInput();
            }
            _this.gridMasterDetail = false;
            _this.formMasterDetail = true;
            _this.sbmMasterDetailForm.first.clearForm();
            emitForm.unsubscribe();
            _this.newFormMasterDetail.emit(false);
            // dialogRef.close();
            _this.formVisible = false;
            _this.formTemplate = null;
        });
        this.sbmMasterDetailForm.first.cancelForm.subscribe(function (ret) {
            if (ret.cancel) {
                _this.gridMasterDetail = false;
                _this.formMasterDetail = true;
                _this.newFormMasterDetail.emit(false);
                _this.formVisible = false;
                _this.formTemplate = null;
            }
        });
    };
    MasterDetailComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.randomClass = Math.floor((Math.random() * 1000) + 1);
        _super.prototype.validar.call(this, this.securityId);
        this._translateService.onLangChange.subscribe(function () {
            var retTraducao = _this._sharedService.getTraducao('sabium-framework')[0];
            _this.validationsMsg['require'] = retTraducao['validations.fieldRequire'];
        });
    };
    MasterDetailComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.sbmMasterDetailForm.first.elementRef = this.id;
        this.dataColumns.forEach(function (a, i) {
            if (a.isEntity) {
                _this.generatedEntity[a.value] = [];
                _this.valueEntity[a.value] = [];
                _this._reqHttpService.xhrGet("/sabium/api/" + a.entity).subscribe(function (ret) {
                    _this.generatedEntity[a.value] = ret.res.data;
                    setTimeout(function () {
                        _this.loadedReq.emit(true);
                    }, 1000);
                });
            }
        });
    };
    MasterDetailComponent.prototype.ngAfterViewChecked = function (change) {
        if (this.value && this._valueVerified) {
            if (this.value.length > 0) {
                this.dataSource = this.value;
                this._valueVerified = false;
            }
        }
    };
    return MasterDetailComponent;
}(abstract_ngmodel_1.AbstractNgModel));
MasterDetailComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-master-detail',
                template: require('./master-detail.component.html'),
                styles: [require('./master-detail.component.css')],

                host: {
                    '[class]': 'columns'
                },
                providers: [
                    abstract_ngmodel_1.MakeProvider(MasterDetailComponent),
                    { provide: abstract_ngmodel_1.AbstractNgModel, useExisting: core_1.forwardRef(function () { return MasterDetailComponent; }) }
                ]
            },] },
];
/** @nocollapse */
MasterDetailComponent.ctorParameters = function () { return [
    { type: req_http_service_1.ReqHttpService, },
    { type: sharedService_1.SharedService, },
    { type: http_1.Http, },
    { type: core_2.TranslateService, },
    { type: material_1.MatDialog, },
]; };
MasterDetailComponent.propDecorators = {
    'dataColumns': [{ type: core_1.ContentChildren, args: [grid_component_1.SbmGridColumn,] },],
    'sbmMasterDetailForm': [{ type: core_1.ContentChildren, args: [master_detail_form_component_1.SbmMasterDetailForm, { descendants: true },] },],
    'sbmMasterDetailFormView': [{ type: core_1.ViewChild, args: [master_detail_form_component_1.SbmMasterDetailForm,] },],
    'form': [{ type: core_1.ViewChild, args: ['form',] },],
    'id': [{ type: core_1.Input },],
    'securityId': [{ type: core_1.Input },],
    'attribute': [{ type: core_1.Input },],
    'saveServer': [{ type: core_1.Input },],
    'urlAction': [{ type: core_1.Input },],
    'entity': [{ type: core_1.Input },],
    'dataSource': [{ type: core_1.Input },],
    'notnull': [{ type: core_1.Input, args: ['require',] },],
    'columns': [{ type: core_1.Input },],
};
exports.MasterDetailComponent = MasterDetailComponent;
var DialogMasterDetail = (function () {
    function DialogMasterDetail(dialog, data) {
        this.dialog = dialog;
        this.data = data;
    }
    DialogMasterDetail.prototype.onNoClick = function () {
        this.dialog.close();
    };
    return DialogMasterDetail;
}());
DialogMasterDetail.decorators = [
    { type: core_1.Component, args: [{
                selector: 'sbm-dialog-master-detail',
                template: "\n        <ng-template [ngTemplateOutlet]=\"data.template\" [ngOutletContext]=\"{ item: null }\"></ng-template>\n    ",
            },] },
];
/** @nocollapse */
DialogMasterDetail.ctorParameters = function () { return [
    { type: material_1.MatDialogRef, },
    { type: undefined, decorators: [{ type: core_1.Inject, args: [material_1.MAT_DIALOG_DATA,] },] },
]; };
exports.DialogMasterDetail = DialogMasterDetail;
