"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var MaxDirective = (function () {
    function MaxDirective() {
    }
    MaxDirective.prototype.validate = function (c) {
        if (forms_1.Validators.required(c)) {
            return null;
        }
        return Number(c.value) <= Number(this.max) ? null : { max: true };
    };
    return MaxDirective;
}());
MaxDirective.decorators = [
    { type: core_1.Directive, args: [{
                selector: 'sbm-money[max]',
                providers: [
                    { provide: forms_1.NG_VALIDATORS, useExisting: core_1.forwardRef(function () { return MaxDirective; }), multi: true }
                ]
            },] },
];
/** @nocollapse */
MaxDirective.ctorParameters = function () { return []; };
MaxDirective.propDecorators = {
    'max': [{ type: core_1.Input, args: ['max',] },],
};
exports.MaxDirective = MaxDirective;
