"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var MinDirective = (function () {
    function MinDirective() {
    }
    MinDirective.prototype.validate = function (c) {
        if (forms_1.Validators.required(c)) {
            return null;
        }
        return Number(c.value) <= Number(this.min) ? null : { min: true };
    };
    return MinDirective;
}());
MinDirective.decorators = [
    { type: core_1.Directive, args: [{
                selector: 'sbm-money[min]',
                providers: [
                    { provide: forms_1.NG_VALIDATORS, useExisting: core_1.forwardRef(function () { return MinDirective; }), multi: true }
                ]
            },] },
];
/** @nocollapse */
MinDirective.ctorParameters = function () { return []; };
MinDirective.propDecorators = {
    'min': [{ type: core_1.Input, args: ['min',] },],
};
exports.MinDirective = MinDirective;
